# Space group tables
# File generated by symmetry_scraping.jl

"""
Dictionnary mapping the Hall symbol of a symmetry group to its Hall number.

In the keys, letters are lowercase, underscores are removed and space is kept to
differentiate "p 6 2" from "p 62" and "p 3 2" from "p 32"
"""
const SPACE_GROUP_HALL = Dict{String,Int}([
    "p 1" => 1,
    "-p 1" => 2,
    "p 2y" => 3,
    "p 2" => 4,
    "p 2x" => 5,
    "p 2yb" => 6,
    "p 2c" => 7,
    "p 2xa" => 8,
    "c 2y" => 9,
    "a 2y" => 10,
    "i 2y" => 11,
    "a 2" => 12,
    "b 2" => 13,
    "i 2" => 14,
    "b 2x" => 15,
    "c 2x" => 16,
    "i 2x" => 17,
    "p -2y" => 18,
    "p -2" => 19,
    "p -2x" => 20,
    "p -2yc" => 21,
    "p -2yac" => 22,
    "p -2ya" => 23,
    "p -2a" => 24,
    "p -2ab" => 25,
    "p -2b" => 26,
    "p -2xb" => 27,
    "p -2xbc" => 28,
    "p -2xc" => 29,
    "c -2y" => 30,
    "a -2y" => 31,
    "i -2y" => 32,
    "a -2" => 33,
    "b -2" => 34,
    "i -2" => 35,
    "b -2x" => 36,
    "c -2x" => 37,
    "i -2x" => 38,
    "c -2yc" => 39,
    "a -2yac" => 40,
    "i -2ya" => 41,
    "a -2ya" => 42,
    "c -2ybc" => 43,
    "i -2yc" => 44,
    "a -2a" => 45,
    "b -2bc" => 46,
    "i -2b" => 47,
    "b -2b" => 48,
    "a -2ac" => 49,
    "i -2a" => 50,
    "b -2xb" => 51,
    "c -2xbc" => 52,
    "i -2xc" => 53,
    "c -2xc" => 54,
    "b -2xbc" => 55,
    "i -2xb" => 56,
    "-p 2y" => 57,
    "-p 2" => 58,
    "-p 2x" => 59,
    "-p 2yb" => 60,
    "-p 2c" => 61,
    "-p 2xa" => 62,
    "-c 2y" => 63,
    "-a 2y" => 64,
    "-i 2y" => 65,
    "-a 2" => 66,
    "-b 2" => 67,
    "-i 2" => 68,
    "-b 2x" => 69,
    "-c 2x" => 70,
    "-i 2x" => 71,
    "-p 2yc" => 72,
    "-p 2yac" => 73,
    "-p 2ya" => 74,
    "-p 2a" => 75,
    "-p 2ab" => 76,
    "-p 2b" => 77,
    "-p 2xb" => 78,
    "-p 2xbc" => 79,
    "-p 2xc" => 80,
    "-p 2ybc" => 81,
    "-p 2yn" => 82,
    "-p 2yab" => 83,
    "-p 2ac" => 84,
    "-p 2n" => 85,
    "-p 2bc" => 86,
    "-p 2xab" => 87,
    "-p 2xn" => 88,
    "-p 2xac" => 89,
    "-c 2yc" => 90,
    "-a 2yac" => 91,
    "-i 2ya" => 92,
    "-a 2ya" => 93,
    "-c 2ybc" => 94,
    "-i 2yc" => 95,
    "-a 2a" => 96,
    "-b 2bc" => 97,
    "-i 2b" => 98,
    "-b 2b" => 99,
    "-a 2ac" => 100,
    "-i 2a" => 101,
    "-b 2xb" => 102,
    "-c 2xbc" => 103,
    "-i 2xc" => 104,
    "-c 2xc" => 105,
    "-b 2xbc" => 106,
    "-i 2xb" => 107,
    "p 2 2" => 108,
    "p 2c 2" => 109,
    "p 2a 2a" => 110,
    "p 2 2b" => 111,
    "p 2 2ab" => 112,
    "p 2bc 2" => 113,
    "p 2ac 2ac" => 114,
    "p 2ac 2ab" => 115,
    "c 2c 2" => 116,
    "a 2a 2a" => 117,
    "b 2 2b" => 118,
    "c 2 2" => 119,
    "a 2 2" => 120,
    "b 2 2" => 121,
    "f 2 2" => 122,
    "i 2 2" => 123,
    "i 2b 2c" => 124,
    "p 2 -2" => 125,
    "p -2 2" => 126,
    "p -2 -2" => 127,
    "p 2c -2" => 128,
    "p 2c -2c" => 129,
    "p -2a 2a" => 130,
    "p -2 2a" => 131,
    "p -2 -2b" => 132,
    "p -2b -2" => 133,
    "p 2 -2c" => 134,
    "p -2a 2" => 135,
    "p -2b -2b" => 136,
    "p 2 -2a" => 137,
    "p 2 -2b" => 138,
    "p -2b 2" => 139,
    "p -2c 2" => 140,
    "p -2c -2c" => 141,
    "p -2a -2a" => 142,
    "p 2c -2ac" => 143,
    "p 2c -2b" => 144,
    "p -2b 2a" => 145,
    "p -2ac 2a" => 146,
    "p -2bc -2c" => 147,
    "p -2a -2ab" => 148,
    "p 2 -2bc" => 149,
    "p 2 -2ac" => 150,
    "p -2ac 2" => 151,
    "p -2ab 2" => 152,
    "p -2ab -2ab" => 153,
    "p -2bc -2bc" => 154,
    "p 2ac -2" => 155,
    "p 2bc -2bc" => 156,
    "p -2ab 2ab" => 157,
    "p -2 2ac" => 158,
    "p -2 -2bc" => 159,
    "p -2ab -2" => 160,
    "p 2 -2ab" => 161,
    "p -2bc 2" => 162,
    "p -2ac -2ac" => 163,
    "p 2c -2n" => 164,
    "p 2c -2ab" => 165,
    "p -2bc 2a" => 166,
    "p -2n 2a" => 167,
    "p -2n -2ac" => 168,
    "p -2ac -2n" => 169,
    "p 2 -2n" => 170,
    "p -2n 2" => 171,
    "p -2n -2n" => 172,
    "c 2 -2" => 173,
    "a -2 2" => 174,
    "b -2 -2" => 175,
    "c 2c -2" => 176,
    "c 2c -2c" => 177,
    "a -2a 2a" => 178,
    "a -2 2a" => 179,
    "b -2 -2b" => 180,
    "b -2b -2" => 181,
    "c 2 -2c" => 182,
    "a -2a 2" => 183,
    "b -2b -2b" => 184,
    "a 2 -2" => 185,
    "b 2 -2" => 186,
    "b -2 2" => 187,
    "c -2 2" => 188,
    "c -2 -2" => 189,
    "a -2 -2" => 190,
    "a 2 -2c" => 191,
    "b 2 -2c" => 192,
    "b -2c 2" => 193,
    "c -2b 2" => 194,
    "c -2b -2b" => 195,
    "a -2c -2c" => 196,
    "a 2 -2a" => 197,
    "b 2 -2b" => 198,
    "b -2b 2" => 199,
    "c -2c 2" => 200,
    "c -2c -2c" => 201,
    "a -2a -2a" => 202,
    "a 2 -2ac" => 203,
    "b 2 -2bc" => 204,
    "b -2bc 2" => 205,
    "c -2bc 2" => 206,
    "c -2bc -2bc" => 207,
    "a -2ac -2ac" => 208,
    "f 2 -2" => 209,
    "f -2 2" => 210,
    "f -2 -2" => 211,
    "f 2 -2d" => 212,
    "f -2d 2" => 213,
    "f -2d -2d" => 214,
    "i 2 -2" => 215,
    "i -2 2" => 216,
    "i -2 -2" => 217,
    "i 2 -2c" => 218,
    "i -2a 2" => 219,
    "i -2b -2b" => 220,
    "i 2 -2a" => 221,
    "i 2 -2b" => 222,
    "i -2b 2" => 223,
    "i -2c 2" => 224,
    "i -2c -2c" => 225,
    "i -2a -2a" => 226,
    "-p 2 2" => 227,
    "p 2 2 -1n" => 228,
    "-p 2ab 2bc" => 229,
    "-p 2 2c" => 230,
    "-p 2a 2" => 231,
    "-p 2b 2b" => 232,
    "p 2 2 -1ab" => 233,
    "-p 2ab 2b" => 234,
    "p 2 2 -1bc" => 235,
    "-p 2b 2bc" => 236,
    "p 2 2 -1ac" => 237,
    "-p 2a 2c" => 238,
    "-p 2a 2a" => 239,
    "-p 2b 2" => 240,
    "-p 2 2b" => 241,
    "-p 2c 2c" => 242,
    "-p 2c 2" => 243,
    "-p 2 2a" => 244,
    "-p 2a 2bc" => 245,
    "-p 2b 2n" => 246,
    "-p 2n 2b" => 247,
    "-p 2ab 2c" => 248,
    "-p 2ab 2n" => 249,
    "-p 2n 2bc" => 250,
    "-p 2ac 2" => 251,
    "-p 2bc 2bc" => 252,
    "-p 2ab 2ab" => 253,
    "-p 2 2ac" => 254,
    "-p 2 2bc" => 255,
    "-p 2ab 2" => 256,
    "-p 2a 2ac" => 257,
    "-p 2b 2c" => 258,
    "-p 2a 2b" => 259,
    "-p 2ac 2c" => 260,
    "-p 2bc 2b" => 261,
    "-p 2b 2ab" => 262,
    "-p 2 2ab" => 263,
    "-p 2bc 2" => 264,
    "-p 2ac 2ac" => 265,
    "-p 2ab 2ac" => 266,
    "-p 2ac 2bc" => 267,
    "-p 2bc 2ab" => 268,
    "-p 2c 2b" => 269,
    "-p 2c 2ac" => 270,
    "-p 2ac 2a" => 271,
    "-p 2b 2a" => 272,
    "-p 2a 2ab" => 273,
    "-p 2bc 2c" => 274,
    "-p 2 2n" => 275,
    "-p 2n 2" => 276,
    "-p 2n 2n" => 277,
    "p 2 2ab -1ab" => 278,
    "-p 2ab 2a" => 279,
    "p 2bc 2 -1bc" => 280,
    "-p 2c 2bc" => 281,
    "p 2ac 2ac -1ac" => 282,
    "-p 2c 2a" => 283,
    "-p 2n 2ab" => 284,
    "-p 2n 2c" => 285,
    "-p 2a 2n" => 286,
    "-p 2bc 2n" => 287,
    "-p 2ac 2b" => 288,
    "-p 2b 2ac" => 289,
    "-p 2ac 2ab" => 290,
    "-p 2bc 2ac" => 291,
    "-p 2ac 2n" => 292,
    "-p 2bc 2a" => 293,
    "-p 2c 2ab" => 294,
    "-p 2n 2ac" => 295,
    "-p 2n 2a" => 296,
    "-p 2c 2n" => 297,
    "-c 2c 2" => 298,
    "-c 2c 2c" => 299,
    "-a 2a 2a" => 300,
    "-a 2 2a" => 301,
    "-b 2 2b" => 302,
    "-b 2b 2" => 303,
    "-c 2bc 2" => 304,
    "-c 2bc 2bc" => 305,
    "-a 2ac 2ac" => 306,
    "-a 2 2ac" => 307,
    "-b 2 2bc" => 308,
    "-b 2bc 2" => 309,
    "-c 2 2" => 310,
    "-a 2 2" => 311,
    "-b 2 2" => 312,
    "-c 2 2c" => 313,
    "-a 2a 2" => 314,
    "-b 2b 2b" => 315,
    "-c 2b 2" => 316,
    "-c 2b 2b" => 317,
    "-a 2c 2c" => 318,
    "-a 2 2c" => 319,
    "-b 2 2c" => 320,
    "-b 2c 2" => 321,
    "c 2 2 -1bc" => 322,
    "-c 2b 2bc" => 323,
    "-c 2b 2c" => 325,
    "a 2 2 -1ac" => 326,
    "-a 2a 2c" => 327,
    "-a 2ac 2c" => 329,
    "b 2 2 -1bc" => 330,
    "-b 2bc 2b" => 331,
    "-b 2b 2bc" => 333,
    "-f 2 2" => 334,
    "f 2 2 -1d" => 335,
    "-f 2uv 2vw" => 336,
    "-i 2 2" => 337,
    "-i 2 2c" => 338,
    "-i 2a 2" => 339,
    "-i 2b 2b" => 340,
    "-i 2b 2c" => 341,
    "-i 2a 2b" => 342,
    "-i 2b 2" => 343,
    "-i 2a 2a" => 344,
    "-i 2c 2c" => 345,
    "-i 2 2b" => 346,
    "-i 2 2a" => 347,
    "-i 2c 2" => 348,
    "p 4" => 349,
    "p 4w" => 350,
    "p 4c" => 351,
    "p 4cw" => 352,
    "i 4" => 353,
    "i 4bw" => 354,
    "p -4" => 355,
    "i -4" => 356,
    "-p 4" => 357,
    "-p 4c" => 358,
    "p 4ab -1ab" => 359,
    "-p 4a" => 360,
    "p 4n -1n" => 361,
    "-p 4bc" => 362,
    "-i 4" => 363,
    "i 4bw -1bw" => 364,
    "-i 4ad" => 365,
    "p 4 2" => 366,
    "p 4ab 2ab" => 367,
    "p 4w 2c" => 368,
    "p 4abw 2nw" => 369,
    "p 4c 2" => 370,
    "p 4n 2n" => 371,
    "p 4cw 2c" => 372,
    "p 4nw 2abw" => 373,
    "i 4 2" => 374,
    "i 4bw 2bw" => 375,
    "p 4 -2" => 376,
    "p 4 -2ab" => 377,
    "p 4c -2c" => 378,
    "p 4n -2n" => 379,
    "p 4 -2c" => 380,
    "p 4 -2n" => 381,
    "p 4c -2" => 382,
    "p 4c -2ab" => 383,
    "i 4 -2" => 384,
    "i 4 -2c" => 385,
    "i 4bw -2" => 386,
    "i 4bw -2c" => 387,
    "p -4 2" => 388,
    "p -4 2c" => 389,
    "p -4 2ab" => 390,
    "p -4 2n" => 391,
    "p -4 -2" => 392,
    "p -4 -2c" => 393,
    "p -4 -2ab" => 394,
    "p -4 -2n" => 395,
    "i -4 -2" => 396,
    "i -4 -2c" => 397,
    "i -4 2" => 398,
    "i -4 2bw" => 399,
    "-p 4 2" => 400,
    "-p 4 2c" => 401,
    "p 4 2 -1ab" => 402,
    "-p 4a 2b" => 403,
    "p 4 2 -1n" => 404,
    "-p 4a 2bc" => 405,
    "-p 4 2ab" => 406,
    "-p 4 2n" => 407,
    "p 4ab 2ab -1ab" => 408,
    "-p 4a 2a" => 409,
    "p 4ab 2n -1ab" => 410,
    "-p 4a 2ac" => 411,
    "-p 4c 2" => 412,
    "-p 4c 2c" => 413,
    "p 4n 2c -1n" => 414,
    "-p 4ac 2b" => 415,
    "p 4n 2 -1n" => 416,
    "-p 4ac 2bc" => 417,
    "-p 4c 2ab" => 418,
    "-p 4n 2n" => 419,
    "p 4n 2n -1n" => 420,
    "-p 4ac 2a" => 421,
    "p 4n 2ab -1n" => 422,
    "-p 4ac 2ac" => 423,
    "-i 4 2" => 424,
    "-i 4 2c" => 425,
    "i 4bw 2bw -1bw" => 426,
    "-i 4bd 2" => 427,
    "i 4bw 2aw -1bw" => 428,
    "-i 4bd 2c" => 429,
    "p 3" => 430,
    "p 31" => 431,
    "p 32" => 432,
    "r 3" => 433,
    "p 3*" => 434,
    "-p 3" => 435,
    "-r 3" => 436,
    "-p 3*" => 437,
    "p 3 2" => 438,
    "p 3 2\\" => 439,
    "p 31 2c (0 0 1)" => 440,
    "p 31 2\\" => 441,
    "p 32 2c (0 0 -1)" => 442,
    "p 32 2\\" => 443,
    "r 3 2\\" => 444,
    "p 3* 2" => 445,
    "p 3 -2\\" => 446,
    "p 3 -2" => 447,
    "p 3 -2\\c" => 448,
    "p 3 -2c" => 449,
    "r 3 -2\\" => 450,
    "p 3* -2" => 451,
    "r 3 -2\\c" => 452,
    "p 3* -2n" => 453,
    "-p 3 2" => 454,
    "-p 3 2c" => 455,
    "-p 3 2\\" => 456,
    "-p 3 2\\c" => 457,
    "-r 3 2\\" => 458,
    "-p 3* 2" => 459,
    "-r 3 2\\c" => 460,
    "-p 3* 2n" => 461,
    "p 6" => 462,
    "p 61" => 463,
    "p 65" => 464,
    "p 62" => 465,
    "p 64" => 466,
    "p 6c" => 467,
    "p -6" => 468,
    "-p 6" => 469,
    "-p 6c" => 470,
    "p 6 2" => 471,
    "p 61 2 (0 0 -1)" => 472,
    "p 65 2 (0 0 1)" => 473,
    "p 62 2c (0 0 1)" => 474,
    "p 64 2c (0 0 -1)" => 475,
    "p 6c 2c" => 476,
    "p 6 -2" => 477,
    "p 6 -2c" => 478,
    "p 6c -2" => 479,
    "p 6c -2c" => 480,
    "p -6 2" => 481,
    "p -6c 2" => 482,
    "p -6 -2" => 483,
    "p -6c -2c" => 484,
    "-p 6 2" => 485,
    "-p 6 2c" => 486,
    "-p 6c 2" => 487,
    "-p 6c 2c" => 488,
    "p 2 2 3" => 489,
    "f 2 2 3" => 490,
    "i 2 2 3" => 491,
    "p 2ac 2ab 3" => 492,
    "i 2b 2c 3" => 493,
    "-p 2 2 3" => 494,
    "p 2 2 3 -1n" => 495,
    "-p 2ab 2bc 3" => 496,
    "-f 2 2 3" => 497,
    "f 2 2 3 -1d" => 498,
    "-f 2uv 2vw 3" => 499,
    "-i 2 2 3" => 500,
    "-p 2ac 2ab 3" => 501,
    "-i 2b 2c 3" => 502,
    "p 4 2 3" => 503,
    "p 4n 2 3" => 504,
    "f 4 2 3" => 505,
    "f 4d 2 3" => 506,
    "i 4 2 3" => 507,
    "p 4acd 2ab 3" => 508,
    "p 4bd 2ab 3" => 509,
    "i 4bd 2c 3" => 510,
    "p -4 2 3" => 511,
    "f -4 2 3" => 512,
    "i -4 2 3" => 513,
    "p -4n 2 3" => 514,
    "f -4c 2 3" => 515,
    "i -4bd 2c 3" => 516,
    "-p 4 2 3" => 517,
    "p 4 2 3 -1n" => 518,
    "-p 4a 2bc 3" => 519,
    "-p 4n 2 3" => 520,
    "p 4n 2 3 -1n" => 521,
    "-p 4bc 2bc 3" => 522,
    "-f 4 2 3" => 523,
    "-f 4c 2 3" => 524,
    "f 4d 2 3 -1d" => 525,
    "-f 4vw 2vw 3" => 526,
    "f 4d 2 3 -1cd" => 527,
    "-f 4cvw 2vw 3" => 528,
    "-i 4 2 3" => 529,
    "-i 4bd 2c 3" => 530,
])

"""
Dictionnary mapping the HM symbol of a symmetry group to its Hall number.

In the keys, letters are lowercase and space is removed.
"""
const SPACE_GROUP_HM = Dict{String,Int}([
    "p1" => 1,
    "p-1" => 2,
    "p2" => 3,
    "p121" => 3,
    "p112" => 4,
    "p211" => 5,
    "p21" => 6,
    "p1211" => 6,
    "p1121" => 7,
    "p2111" => 8,
    "c2" => 9,
    "c121" => 9,
    "a121" => 10,
    "i121" => 11,
    "a112" => 12,
    "b112" => 13,
    "b2" => 13,
    "i112" => 14,
    "b211" => 15,
    "c211" => 16,
    "i211" => 17,
    "pm" => 18,
    "p1m1" => 18,
    "p11m" => 19,
    "pm11" => 20,
    "pc" => 21,
    "p1c1" => 21,
    "p1n1" => 22,
    "p1a1" => 23,
    "p11a" => 24,
    "p11n" => 25,
    "p11b" => 26,
    "pb" => 26,
    "pb11" => 27,
    "pn11" => 28,
    "pc11" => 29,
    "cm" => 30,
    "c1m1" => 30,
    "a1m1" => 31,
    "i1m1" => 32,
    "a11m" => 33,
    "b11m" => 34,
    "bm" => 34,
    "i11m" => 35,
    "bm11" => 36,
    "cm11" => 37,
    "im11" => 38,
    "cc" => 39,
    "c1c1" => 39,
    "a1n1" => 40,
    "i1a1" => 41,
    "a1a1" => 42,
    "c1n1" => 43,
    "i1c1" => 44,
    "a11a" => 45,
    "b11n" => 46,
    "i11b" => 47,
    "b11b" => 48,
    "bb" => 48,
    "a11n" => 49,
    "i11a" => 50,
    "bb11" => 51,
    "cn11" => 52,
    "ic11" => 53,
    "cc11" => 54,
    "bn11" => 55,
    "ib11" => 56,
    "p2/m" => 57,
    "p12/m1" => 57,
    "p112/m" => 58,
    "p2/m11" => 59,
    "p21/m" => 60,
    "p121/m1" => 60,
    "p1121/m" => 61,
    "p21/m11" => 62,
    "c2/m" => 63,
    "c12/m1" => 63,
    "a12/m1" => 64,
    "i12/m1" => 65,
    "a112/m" => 66,
    "b112/m" => 67,
    "b2/m" => 67,
    "i112/m" => 68,
    "b2/m11" => 69,
    "c2/m11" => 70,
    "i2/m11" => 71,
    "p2/c" => 72,
    "p12/c1" => 72,
    "p12/n1" => 73,
    "p12/a1" => 74,
    "p112/a" => 75,
    "p112/n" => 76,
    "p112/b" => 77,
    "p2/b" => 77,
    "p2/b11" => 78,
    "p2/n11" => 79,
    "p2/c11" => 80,
    "p21/c" => 81,
    "p121/c1" => 81,
    "p121/n1" => 82,
    "p121/a1" => 83,
    "p1121/a" => 84,
    "p1121/n" => 85,
    "p1121/b" => 86,
    "p21/b" => 86,
    "p21/b11" => 87,
    "p21/n11" => 88,
    "p21/c11" => 89,
    "c2/c" => 90,
    "c12/c1" => 90,
    "a12/n1" => 91,
    "i12/a1" => 92,
    "a12/a1" => 93,
    "c12/n1" => 94,
    "i12/c1" => 95,
    "a112/a" => 96,
    "b112/n" => 97,
    "i112/b" => 98,
    "b112/b" => 99,
    "b2/b" => 99,
    "a112/n" => 100,
    "i112/a" => 101,
    "b2/b11" => 102,
    "c2/n11" => 103,
    "i2/c11" => 104,
    "c2/c11" => 105,
    "b2/n11" => 106,
    "i2/b11" => 107,
    "p222" => 108,
    "p2221" => 109,
    "p2122" => 110,
    "p2212" => 111,
    "p21212" => 112,
    "p22121" => 113,
    "p21221" => 114,
    "p212121" => 115,
    "c2221" => 116,
    "a2122" => 117,
    "b2212" => 118,
    "c222" => 119,
    "a222" => 120,
    "b222" => 121,
    "f222" => 122,
    "i222" => 123,
    "i212121" => 124,
    "pmm2" => 125,
    "p2mm" => 126,
    "pm2m" => 127,
    "pmc21" => 128,
    "pcm21" => 129,
    "p21ma" => 130,
    "p21am" => 131,
    "pb21m" => 132,
    "pm21b" => 133,
    "pcc2" => 134,
    "p2aa" => 135,
    "pb2b" => 136,
    "pma2" => 137,
    "pbm2" => 138,
    "p2mb" => 139,
    "p2cm" => 140,
    "pc2m" => 141,
    "pm2a" => 142,
    "pca21" => 143,
    "pbc21" => 144,
    "p21ab" => 145,
    "p21ca" => 146,
    "pc21b" => 147,
    "pb21a" => 148,
    "pnc2" => 149,
    "pcn2" => 150,
    "p2na" => 151,
    "p2an" => 152,
    "pb2n" => 153,
    "pn2b" => 154,
    "pmn21" => 155,
    "pnm21" => 156,
    "p21mn" => 157,
    "p21nm" => 158,
    "pn21m" => 159,
    "pm21n" => 160,
    "pba2" => 161,
    "p2cb" => 162,
    "pc2a" => 163,
    "pna21" => 164,
    "pbn21" => 165,
    "p21nb" => 166,
    "p21cn" => 167,
    "pc21n" => 168,
    "pn21a" => 169,
    "pnn2" => 170,
    "p2nn" => 171,
    "pn2n" => 172,
    "cmm2" => 173,
    "a2mm" => 174,
    "bm2m" => 175,
    "cmc21" => 176,
    "ccm21" => 177,
    "a21ma" => 178,
    "a21am" => 179,
    "bb21m" => 180,
    "bm21b" => 181,
    "ccc2" => 182,
    "a2aa" => 183,
    "bb2b" => 184,
    "amm2" => 185,
    "bmm2" => 186,
    "b2mm" => 187,
    "c2mm" => 188,
    "cm2m" => 189,
    "am2m" => 190,
    "abm2" => 191,
    "bma2" => 192,
    "b2cm" => 193,
    "c2mb" => 194,
    "cm2a" => 195,
    "ac2m" => 196,
    "ama2" => 197,
    "bbm2" => 198,
    "b2mb" => 199,
    "c2cm" => 200,
    "cc2m" => 201,
    "am2a" => 202,
    "aba2" => 203,
    "bba2" => 204,
    "b2cb" => 205,
    "c2cb" => 206,
    "cc2a" => 207,
    "ac2a" => 208,
    "fmm2" => 209,
    "f2mm" => 210,
    "fm2m" => 211,
    "fdd2" => 212,
    "f2dd" => 213,
    "fd2d" => 214,
    "imm2" => 215,
    "i2mm" => 216,
    "im2m" => 217,
    "iba2" => 218,
    "i2cb" => 219,
    "ic2a" => 220,
    "ima2" => 221,
    "ibm2" => 222,
    "i2mb" => 223,
    "i2cm" => 224,
    "ic2m" => 225,
    "im2a" => 226,
    "pmmm" => 227,
    "pnnn" => 228,
    "pccm" => 230,
    "pmaa" => 231,
    "pbmb" => 232,
    "pban" => 233,
    "pncb" => 235,
    "pcna" => 237,
    "pmma" => 239,
    "pmmb" => 240,
    "pbmm" => 241,
    "pcmm" => 242,
    "pmcm" => 243,
    "pmam" => 244,
    "pnna" => 245,
    "pnnb" => 246,
    "pbnn" => 247,
    "pcnn" => 248,
    "pncn" => 249,
    "pnan" => 250,
    "pmna" => 251,
    "pnmb" => 252,
    "pbmn" => 253,
    "pcnm" => 254,
    "pncm" => 255,
    "pman" => 256,
    "pcca" => 257,
    "pccb" => 258,
    "pbaa" => 259,
    "pcaa" => 260,
    "pbcb" => 261,
    "pbab" => 262,
    "pbam" => 263,
    "pmcb" => 264,
    "pcma" => 265,
    "pccn" => 266,
    "pnaa" => 267,
    "pbnb" => 268,
    "pbcm" => 269,
    "pcam" => 270,
    "pmca" => 271,
    "pmab" => 272,
    "pbma" => 273,
    "pcmb" => 274,
    "pnnm" => 275,
    "pmnn" => 276,
    "pnmn" => 277,
    "pmmn" => 278,
    "pnmm" => 280,
    "pmnm" => 282,
    "pbcn" => 284,
    "pcan" => 285,
    "pnca" => 286,
    "pnab" => 287,
    "pbna" => 288,
    "pcnb" => 289,
    "pbca" => 290,
    "pcab" => 291,
    "pnma" => 292,
    "pmnb" => 293,
    "pbnm" => 294,
    "pcmn" => 295,
    "pmcn" => 296,
    "pnam" => 297,
    "cmcm" => 298,
    "ccmm" => 299,
    "amma" => 300,
    "amam" => 301,
    "bbmm" => 302,
    "bmmb" => 303,
    "cmca" => 304,
    "ccmb" => 305,
    "abma" => 306,
    "acam" => 307,
    "bbcm" => 308,
    "bmab" => 309,
    "cmmm" => 310,
    "ammm" => 311,
    "bmmm" => 312,
    "cccm" => 313,
    "amaa" => 314,
    "bbmb" => 315,
    "cmma" => 316,
    "cmmb" => 317,
    "abmm" => 318,
    "acmm" => 319,
    "bmcm" => 320,
    "bmam" => 321,
    "ccca" => 322,
    "cccb" => 324,
    "abaa" => 326,
    "acaa" => 328,
    "bbcb" => 330,
    "bbab" => 332,
    "fmmm" => 334,
    "fddd" => 335,
    "immm" => 337,
    "ibam" => 338,
    "imcb" => 339,
    "icma" => 340,
    "ibca" => 341,
    "icab" => 342,
    "imma" => 343,
    "immb" => 344,
    "ibmm" => 345,
    "icmm" => 346,
    "imcm" => 347,
    "imam" => 348,
    "p4" => 349,
    "p41" => 350,
    "p42" => 351,
    "p43" => 352,
    "i4" => 353,
    "i41" => 354,
    "p-4" => 355,
    "i-4" => 356,
    "p4/m" => 357,
    "p42/m" => 358,
    "p4/n" => 359,
    "p42/n" => 361,
    "i4/m" => 363,
    "i41/a" => 364,
    "p422" => 366,
    "p4212" => 367,
    "p4122" => 368,
    "p41212" => 369,
    "p4222" => 370,
    "p42212" => 371,
    "p4322" => 372,
    "p43212" => 373,
    "i422" => 374,
    "i4122" => 375,
    "p4mm" => 376,
    "p4bm" => 377,
    "p42cm" => 378,
    "p42nm" => 379,
    "p4cc" => 380,
    "p4nc" => 381,
    "p42mc" => 382,
    "p42bc" => 383,
    "i4mm" => 384,
    "i4cm" => 385,
    "i41md" => 386,
    "i41cd" => 387,
    "p-42m" => 388,
    "p-42c" => 389,
    "p-421m" => 390,
    "p-421c" => 391,
    "p-4m2" => 392,
    "p-4c2" => 393,
    "p-4b2" => 394,
    "p-4n2" => 395,
    "i-4m2" => 396,
    "i-4c2" => 397,
    "i-42m" => 398,
    "i-42d" => 399,
    "p4/mmm" => 400,
    "p4/mcc" => 401,
    "p4/nbm" => 402,
    "p4/nnc" => 404,
    "p4/mbm" => 406,
    "p4/mnc" => 407,
    "p4/nmm" => 408,
    "p4/ncc" => 410,
    "p42/mmc" => 412,
    "p42/mcm" => 413,
    "p42/nbc" => 414,
    "p42/nnm" => 416,
    "p42/mbc" => 418,
    "p42/mnm" => 419,
    "p42/nmc" => 420,
    "p42/ncm" => 422,
    "i4/mmm" => 424,
    "i4/mcm" => 425,
    "i41/amd" => 426,
    "i41/acd" => 428,
    "p3" => 430,
    "p31" => 431,
    "p32" => 432,
    "r3" => 433,
    "p-3" => 435,
    "r-3" => 436,
    "p312" => 438,
    "p321" => 439,
    "p3112" => 440,
    "p3121" => 441,
    "p3212" => 442,
    "p3221" => 443,
    "r32" => 444,
    "p3m1" => 446,
    "p31m" => 447,
    "p3c1" => 448,
    "p31c" => 449,
    "r3m" => 450,
    "r3c" => 452,
    "p-31m" => 454,
    "p-31c" => 455,
    "p-3m1" => 456,
    "p-3c1" => 457,
    "r-3m" => 458,
    "r-3c" => 460,
    "p6" => 462,
    "p61" => 463,
    "p65" => 464,
    "p62" => 465,
    "p64" => 466,
    "p63" => 467,
    "p-6" => 468,
    "p6/m" => 469,
    "p63/m" => 470,
    "p622" => 471,
    "p6122" => 472,
    "p6522" => 473,
    "p6222" => 474,
    "p6422" => 475,
    "p6322" => 476,
    "p6mm" => 477,
    "p6cc" => 478,
    "p63cm" => 479,
    "p63mc" => 480,
    "p-6m2" => 481,
    "p-6c2" => 482,
    "p-62m" => 483,
    "p-62c" => 484,
    "p6/mmm" => 485,
    "p6/mcc" => 486,
    "p63/mcm" => 487,
    "p63/mmc" => 488,
    "p23" => 489,
    "f23" => 490,
    "i23" => 491,
    "p213" => 492,
    "i213" => 493,
    "pm3" => 494,
    "pn3" => 495,
    "fm3" => 497,
    "fd3" => 498,
    "im3" => 500,
    "pa3" => 501,
    "ia3" => 502,
    "p432" => 503,
    "p4232" => 504,
    "f432" => 505,
    "f4132" => 506,
    "i432" => 507,
    "p4332" => 508,
    "p4132" => 509,
    "i4132" => 510,
    "p-43m" => 511,
    "f-43m" => 512,
    "i-43m" => 513,
    "p-43n" => 514,
    "f-43c" => 515,
    "i-43d" => 516,
    "pm-3m" => 517,
    "pn-3n" => 518,
    "pm-3n" => 520,
    "pn-3m" => 521,
    "fm-3m" => 523,
    "fm-3c" => 524,
    "fd-3m" => 525,
    "fd-3c" => 527,
    "im-3m" => 529,
    "ia-3d" => 530,
])

"""
Dictionnary mapping the full notation representation of a symmetry group to its Hall number,
if the full notation is distinct from the H-M symbol.

In the keys, letters are lowercase and space is removed.
"""
const SPACE_GROUP_FULL = Dict{String,Int}([
    "p2/m2/m2/m" => 227,
    "p2/n2/n2/n" => 228,
    "p2/c2/c2/m" => 230,
    "p2/m2/a2/a" => 231,
    "p2/b2/m2/b" => 232,
    "p2/b2/a2/n" => 233,
    "p2/n2/c2/b" => 235,
    "p2/c2/n2/a" => 237,
    "p21/m2/m2/a" => 239,
    "p2/m21/m2/b" => 240,
    "p2/b21/m2/m" => 241,
    "p2/c2/m21/m" => 242,
    "p2/m2/c21/m" => 243,
    "p21/m2/a2/m" => 244,
    "p2/n21/n2/a" => 245,
    "p21/n2/n2/b" => 246,
    "p2/b2/n21/n" => 247,
    "p2/c21/n2/n" => 248,
    "p21/n2/c2/n" => 249,
    "p2/n2/a21/n" => 250,
    "p2/m2/n21/a" => 251,
    "p2/n2/m21/b" => 252,
    "p21/b2/m2/n" => 253,
    "p21/c2/n2/m" => 254,
    "p2/n21/c2/m" => 255,
    "p2/m21/a2/n" => 256,
    "p21/c2/c2/a" => 257,
    "p2/c21/c2/b" => 258,
    "p2/b21/a2/a" => 259,
    "p2/c2/a21/a" => 260,
    "p2/b2/c21/b" => 261,
    "p21/b2/a2/b" => 262,
    "p21/b21/a2/m" => 263,
    "p2/m21/c21/b" => 264,
    "p21/c2/m21/a" => 265,
    "p21/c21/c2/n" => 266,
    "p2/n21/a21/a" => 267,
    "p21/b2/n21/b" => 268,
    "p2/b21/c21/m" => 269,
    "p21/c2/a21/m" => 270,
    "p21/m2/c21/a" => 271,
    "p21/m21/a2/b" => 272,
    "p21/b21/m2/a" => 273,
    "p2/c21/m21/b" => 274,
    "p21/n21/n2/m" => 275,
    "p2/m21/n21/n" => 276,
    "p21/n2/m21/n" => 277,
    "p21/m21/m2/n" => 278,
    "p2/n21/m21/m" => 280,
    "p21/m2/n21/m" => 282,
    "p21/b2/c21/n" => 284,
    "p2/c21/a21/n" => 285,
    "p21/n21/c2/a" => 286,
    "p21/n2/a21/b" => 287,
    "p2/b21/n21/a" => 288,
    "p21/c21/n2/b" => 289,
    "p21/b21/c21/a" => 290,
    "p21/c21/a21/b" => 291,
    "p21/n21/m21/a" => 292,
    "p21/m21/n21/b" => 293,
    "p21/b21/n21/m" => 294,
    "p21/c21/m21/n" => 295,
    "p21/m21/c21/n" => 296,
    "p21/n21/a21/m" => 297,
    "c2/m2/c21/m" => 298,
    "c2/c2/m21/m" => 299,
    "a21/m2/m2/a" => 300,
    "a21/m2/a2/m" => 301,
    "b2/b21/m2/m" => 302,
    "b2/m21/m2/b" => 303,
    "c2/m2/c21/a" => 304,
    "c2/c2/m21/b" => 305,
    "a21/b2/ma" => 306,
    "a21/c2/a2/m" => 307,
    "b2/b21/c2/m" => 308,
    "b2/m21/a2/b" => 309,
    "c2/m2/m2/m" => 310,
    "a2/m2/m2/m" => 311,
    "b2/m2/m2/m" => 312,
    "c2/c2/c2/m" => 313,
    "a2/m2/a2/a" => 314,
    "b2/b2/m2/b" => 315,
    "c2/m2/m2/a" => 316,
    "c2/m2/m2/b" => 317,
    "a2/b2/m2/m" => 318,
    "a2/c2/m2/m" => 319,
    "b2/m2/c2/m" => 320,
    "b2/m2/a2/m" => 321,
    "c2/c2/c2/a" => 322,
    "c2/c2/c2/b" => 324,
    "a2/b2/a2/a" => 326,
    "a2/c2/a2/a" => 328,
    "b2/b2/c2/b" => 330,
    "b2/b2/a2/b" => 332,
    "f2/m2/m2/m" => 334,
    "f2/d2/d2/d" => 335,
    "i2/m2/m2/m" => 337,
    "i2/b2/a2/m" => 338,
    "i2/m2/c2/b" => 339,
    "i2/c2/m2/a" => 340,
    "i2/b2/c2/a" => 341,
    "i2/c2/a2/b" => 342,
    "i2/m2/m2/a" => 343,
    "i2/m2/m2/b" => 344,
    "i2/b2/m2/m" => 345,
    "i2/c2/m2/m" => 346,
    "i2/m2/c2/m" => 347,
    "i2/m2/a2/m" => 348,
    "p4/m2/m2/m" => 400,
    "p4/m2/c2/c" => 401,
    "p4/n2/b2/m" => 402,
    "p4/n2/n2/c" => 404,
    "p4/m21/bm" => 406,
    "p4/m21/nc" => 407,
    "p4/n21/mm" => 408,
    "p4/n21/cc" => 410,
    "p42/m2/m2/c" => 412,
    "p42/m2/c2/m" => 413,
    "p42/n2/b2/c" => 414,
    "p42/n2/n2/m" => 416,
    "p42/m21/b2/c" => 418,
    "p42/m21/n2/m" => 419,
    "p42/n21/m2/c" => 420,
    "p42/n21/c2/m" => 422,
    "i4/m2/m2/m" => 424,
    "i4/m2/c2/m" => 425,
    "i41/a2/m2/d" => 426,
    "i41/a2/c2/d" => 428,
    "p-312/m" => 454,
    "p-312/c" => 455,
    "p-32/m1" => 456,
    "p-32/c1" => 457,
    "r-32/m" => 458,
    "r-32/c" => 460,
    "p6/m2/m2/m" => 485,
    "p6/m2/c2/c" => 486,
    "p63/m2/c2/m" => 487,
    "p63/m2/m2/c" => 488,
    "p2/m-3" => 494,
    "p2/n-3" => 495,
    "f2/m-3" => 497,
    "f2/d-3" => 498,
    "i2/m-3" => 500,
    "p21/a-3" => 501,
    "i21/a-3" => 502,
    "p4/m-32/m" => 517,
    "p4/n-32/n" => 518,
    "p42/m-32/n" => 520,
    "p42/n-32/m" => 521,
    "f4/m-32/m" => 523,
    "f4/m-32/c" => 524,
    "f41/d-32/m" => 525,
    "f41/d-32/c" => 527,
    "i4/m-32/m" => 529,
    "i41/a-32/d" => 530,
])

"""List mapping the International Table number of a symmetry group to its Hall number"""
const SPACE_GROUP_IT = Int[
    1,
    2,
    3,
    6,
    9,
    18,
    21,
    30,
    39,
    57,
    60,
    63,
    72,
    81,
    90,
    108,
    109,
    112,
    115,
    116,
    119,
    122,
    123,
    124,
    125,
    128,
    134,
    137,
    143,
    149,
    155,
    161,
    164,
    170,
    173,
    176,
    182,
    185,
    191,
    197,
    203,
    209,
    212,
    215,
    218,
    221,
    227,
    228,
    230,
    233,
    239,
    245,
    251,
    257,
    263,
    266,
    269,
    275,
    278,
    284,
    290,
    292,
    298,
    304,
    310,
    313,
    316,
    322,
    334,
    335,
    337,
    338,
    341,
    343,
    349,
    350,
    351,
    352,
    353,
    354,
    355,
    356,
    357,
    358,
    359,
    361,
    363,
    364,
    366,
    367,
    368,
    369,
    370,
    371,
    372,
    373,
    374,
    375,
    376,
    377,
    378,
    379,
    380,
    381,
    382,
    383,
    384,
    385,
    386,
    387,
    388,
    389,
    390,
    391,
    392,
    393,
    394,
    395,
    396,
    397,
    398,
    399,
    400,
    401,
    402,
    404,
    406,
    407,
    408,
    410,
    412,
    413,
    414,
    416,
    418,
    419,
    420,
    422,
    424,
    425,
    426,
    428,
    430,
    431,
    432,
    433,
    435,
    436,
    438,
    439,
    440,
    441,
    442,
    443,
    444,
    446,
    447,
    448,
    449,
    450,
    452,
    454,
    455,
    456,
    457,
    458,
    460,
    462,
    463,
    464,
    465,
    466,
    467,
    468,
    469,
    470,
    471,
    472,
    473,
    474,
    475,
    476,
    477,
    478,
    479,
    480,
    481,
    482,
    483,
    484,
    485,
    486,
    487,
    488,
    489,
    490,
    491,
    492,
    493,
    494,
    495,
    497,
    498,
    500,
    501,
    502,
    503,
    504,
    505,
    506,
    507,
    508,
    509,
    510,
    511,
    512,
    513,
    514,
    515,
    516,
    517,
    518,
    520,
    521,
    523,
    524,
    525,
    527,
    529,
    530,
]

"""List of Hall symbols and crystal system corresponding to each Hall number"""
const HALL_SYMBOLS = Tuple{String,String}[
    ("P 1", "triclinic"),
    ("-P 1", "triclinic"),
    ("P 2y", "monoclinic"),
    ("P 2", "monoclinic"),
    ("P 2x", "monoclinic"),
    ("P 2yb", "monoclinic"),
    ("P 2c", "monoclinic"),
    ("P 2xa", "monoclinic"),
    ("C 2y", "monoclinic"),
    ("A 2y", "monoclinic"),
    ("I 2y", "monoclinic"),
    ("A 2", "monoclinic"),
    ("B 2", "monoclinic"),
    ("I 2", "monoclinic"),
    ("B 2x", "monoclinic"),
    ("C 2x", "monoclinic"),
    ("I 2x", "monoclinic"),
    ("P -2y", "monoclinic"),
    ("P -2", "monoclinic"),
    ("P -2x", "monoclinic"),
    ("P -2yc", "monoclinic"),
    ("P -2yac", "monoclinic"),
    ("P -2ya", "monoclinic"),
    ("P -2a", "monoclinic"),
    ("P -2ab", "monoclinic"),
    ("P -2b", "monoclinic"),
    ("P -2xb", "monoclinic"),
    ("P -2xbc", "monoclinic"),
    ("P -2xc", "monoclinic"),
    ("C -2y", "monoclinic"),
    ("A -2y", "monoclinic"),
    ("I -2y", "monoclinic"),
    ("A -2", "monoclinic"),
    ("B -2", "monoclinic"),
    ("I -2", "monoclinic"),
    ("B -2x", "monoclinic"),
    ("C -2x", "monoclinic"),
    ("I -2x", "monoclinic"),
    ("C -2yc", "monoclinic"),
    ("A -2yac", "monoclinic"),
    ("I -2ya", "monoclinic"),
    ("A -2ya", "monoclinic"),
    ("C -2ybc", "monoclinic"),
    ("I -2yc", "monoclinic"),
    ("A -2a", "monoclinic"),
    ("B -2bc", "monoclinic"),
    ("I -2b", "monoclinic"),
    ("B -2b", "monoclinic"),
    ("A -2ac", "monoclinic"),
    ("I -2a", "monoclinic"),
    ("B -2xb", "monoclinic"),
    ("C -2xbc", "monoclinic"),
    ("I -2xc", "monoclinic"),
    ("C -2xc", "monoclinic"),
    ("B -2xbc", "monoclinic"),
    ("I -2xb", "monoclinic"),
    ("-P 2y", "monoclinic"),
    ("-P 2", "monoclinic"),
    ("-P 2x", "monoclinic"),
    ("-P 2yb", "monoclinic"),
    ("-P 2c", "monoclinic"),
    ("-P 2xa", "monoclinic"),
    ("-C 2y", "monoclinic"),
    ("-A 2y", "monoclinic"),
    ("-I 2y", "monoclinic"),
    ("-A 2", "monoclinic"),
    ("-B 2", "monoclinic"),
    ("-I 2", "monoclinic"),
    ("-B 2x", "monoclinic"),
    ("-C 2x", "monoclinic"),
    ("-I 2x", "monoclinic"),
    ("-P 2yc", "monoclinic"),
    ("-P 2yac", "monoclinic"),
    ("-P 2ya", "monoclinic"),
    ("-P 2a", "monoclinic"),
    ("-P 2ab", "monoclinic"),
    ("-P 2b", "monoclinic"),
    ("-P 2xb", "monoclinic"),
    ("-P 2xbc", "monoclinic"),
    ("-P 2xc", "monoclinic"),
    ("-P 2ybc", "monoclinic"),
    ("-P 2yn", "monoclinic"),
    ("-P 2yab", "monoclinic"),
    ("-P 2ac", "monoclinic"),
    ("-P 2n", "monoclinic"),
    ("-P 2bc", "monoclinic"),
    ("-P 2xab", "monoclinic"),
    ("-P 2xn", "monoclinic"),
    ("-P 2xac", "monoclinic"),
    ("-C 2yc", "monoclinic"),
    ("-A 2yac", "monoclinic"),
    ("-I 2ya", "monoclinic"),
    ("-A 2ya", "monoclinic"),
    ("-C 2ybc", "monoclinic"),
    ("-I 2yc", "monoclinic"),
    ("-A 2a", "monoclinic"),
    ("-B 2bc", "monoclinic"),
    ("-I 2b", "monoclinic"),
    ("-B 2b", "monoclinic"),
    ("-A 2ac", "monoclinic"),
    ("-I 2a", "monoclinic"),
    ("-B 2xb", "monoclinic"),
    ("-C 2xbc", "monoclinic"),
    ("-I 2xc", "monoclinic"),
    ("-C 2xc", "monoclinic"),
    ("-B 2xbc", "monoclinic"),
    ("-I 2xb", "monoclinic"),
    ("P 2 2", "orthorhombic"),
    ("P 2c 2", "orthorhombic"),
    ("P 2a 2a", "orthorhombic"),
    ("P 2 2b", "orthorhombic"),
    ("P 2 2ab", "orthorhombic"),
    ("P 2bc 2", "orthorhombic"),
    ("P 2ac 2ac", "orthorhombic"),
    ("P 2ac 2ab", "orthorhombic"),
    ("C 2c 2", "orthorhombic"),
    ("A 2a 2a", "orthorhombic"),
    ("B 2 2b", "orthorhombic"),
    ("C 2 2", "orthorhombic"),
    ("A 2 2", "orthorhombic"),
    ("B 2 2", "orthorhombic"),
    ("F 2 2", "orthorhombic"),
    ("I 2 2", "orthorhombic"),
    ("I 2b 2c", "orthorhombic"),
    ("P 2 -2", "orthorhombic"),
    ("P -2 2", "orthorhombic"),
    ("P -2 -2", "orthorhombic"),
    ("P 2c -2", "orthorhombic"),
    ("P 2c -2c", "orthorhombic"),
    ("P -2a 2a", "orthorhombic"),
    ("P -2 2a", "orthorhombic"),
    ("P -2 -2b", "orthorhombic"),
    ("P -2b -2", "orthorhombic"),
    ("P 2 -2c", "orthorhombic"),
    ("P -2a 2", "orthorhombic"),
    ("P -2b -2b", "orthorhombic"),
    ("P 2 -2a", "orthorhombic"),
    ("P 2 -2b", "orthorhombic"),
    ("P -2b 2", "orthorhombic"),
    ("P -2c 2", "orthorhombic"),
    ("P -2c -2c", "orthorhombic"),
    ("P -2a -2a", "orthorhombic"),
    ("P 2c -2ac", "orthorhombic"),
    ("P 2c -2b", "orthorhombic"),
    ("P -2b 2a", "orthorhombic"),
    ("P -2ac 2a", "orthorhombic"),
    ("P -2bc -2c", "orthorhombic"),
    ("P -2a -2ab", "orthorhombic"),
    ("P 2 -2bc", "orthorhombic"),
    ("P 2 -2ac", "orthorhombic"),
    ("P -2ac 2", "orthorhombic"),
    ("P -2ab 2", "orthorhombic"),
    ("P -2ab -2ab", "orthorhombic"),
    ("P -2bc -2bc", "orthorhombic"),
    ("P 2ac -2", "orthorhombic"),
    ("P 2bc -2bc", "orthorhombic"),
    ("P -2ab 2ab", "orthorhombic"),
    ("P -2 2ac", "orthorhombic"),
    ("P -2 -2bc", "orthorhombic"),
    ("P -2ab -2", "orthorhombic"),
    ("P 2 -2ab", "orthorhombic"),
    ("P -2bc 2", "orthorhombic"),
    ("P -2ac -2ac", "orthorhombic"),
    ("P 2c -2n", "orthorhombic"),
    ("P 2c -2ab", "orthorhombic"),
    ("P -2bc 2a", "orthorhombic"),
    ("P -2n 2a", "orthorhombic"),
    ("P -2n -2ac", "orthorhombic"),
    ("P -2ac -2n", "orthorhombic"),
    ("P 2 -2n", "orthorhombic"),
    ("P -2n 2", "orthorhombic"),
    ("P -2n -2n", "orthorhombic"),
    ("C 2 -2", "orthorhombic"),
    ("A -2 2", "orthorhombic"),
    ("B -2 -2", "orthorhombic"),
    ("C 2c -2", "orthorhombic"),
    ("C 2c -2c", "orthorhombic"),
    ("A -2a 2a", "orthorhombic"),
    ("A -2 2a", "orthorhombic"),
    ("B -2 -2b", "orthorhombic"),
    ("B -2b -2", "orthorhombic"),
    ("C 2 -2c", "orthorhombic"),
    ("A -2a 2", "orthorhombic"),
    ("B -2b -2b", "orthorhombic"),
    ("A 2 -2", "orthorhombic"),
    ("B 2 -2", "orthorhombic"),
    ("B -2 2", "orthorhombic"),
    ("C -2 2", "orthorhombic"),
    ("C -2 -2", "orthorhombic"),
    ("A -2 -2", "orthorhombic"),
    ("A 2 -2c", "orthorhombic"),
    ("B 2 -2c", "orthorhombic"),
    ("B -2c 2", "orthorhombic"),
    ("C -2b 2", "orthorhombic"),
    ("C -2b -2b", "orthorhombic"),
    ("A -2c -2c", "orthorhombic"),
    ("A 2 -2a", "orthorhombic"),
    ("B 2 -2b", "orthorhombic"),
    ("B -2b 2", "orthorhombic"),
    ("C -2c 2", "orthorhombic"),
    ("C -2c -2c", "orthorhombic"),
    ("A -2a -2a", "orthorhombic"),
    ("A 2 -2ac", "orthorhombic"),
    ("B 2 -2bc", "orthorhombic"),
    ("B -2bc 2", "orthorhombic"),
    ("C -2bc 2", "orthorhombic"),
    ("C -2bc -2bc", "orthorhombic"),
    ("A -2ac -2ac", "orthorhombic"),
    ("F 2 -2", "orthorhombic"),
    ("F -2 2", "orthorhombic"),
    ("F -2 -2", "orthorhombic"),
    ("F 2 -2d", "orthorhombic"),
    ("F -2d 2", "orthorhombic"),
    ("F -2d -2d", "orthorhombic"),
    ("I 2 -2", "orthorhombic"),
    ("I -2 2", "orthorhombic"),
    ("I -2 -2", "orthorhombic"),
    ("I 2 -2c", "orthorhombic"),
    ("I -2a 2", "orthorhombic"),
    ("I -2b -2b", "orthorhombic"),
    ("I 2 -2a", "orthorhombic"),
    ("I 2 -2b", "orthorhombic"),
    ("I -2b 2", "orthorhombic"),
    ("I -2c 2", "orthorhombic"),
    ("I -2c -2c", "orthorhombic"),
    ("I -2a -2a", "orthorhombic"),
    ("-P 2 2", "orthorhombic"),
    ("P 2 2 -1n", "orthorhombic"),
    ("-P 2ab 2bc", "orthorhombic"),
    ("-P 2 2c", "orthorhombic"),
    ("-P 2a 2", "orthorhombic"),
    ("-P 2b 2b", "orthorhombic"),
    ("P 2 2 -1ab", "orthorhombic"),
    ("-P 2ab 2b", "orthorhombic"),
    ("P 2 2 -1bc", "orthorhombic"),
    ("-P 2b 2bc", "orthorhombic"),
    ("P 2 2 -1ac", "orthorhombic"),
    ("-P 2a 2c", "orthorhombic"),
    ("-P 2a 2a", "orthorhombic"),
    ("-P 2b 2", "orthorhombic"),
    ("-P 2 2b", "orthorhombic"),
    ("-P 2c 2c", "orthorhombic"),
    ("-P 2c 2", "orthorhombic"),
    ("-P 2 2a", "orthorhombic"),
    ("-P 2a 2bc", "orthorhombic"),
    ("-P 2b 2n", "orthorhombic"),
    ("-P 2n 2b", "orthorhombic"),
    ("-P 2ab 2c", "orthorhombic"),
    ("-P 2ab 2n", "orthorhombic"),
    ("-P 2n 2bc", "orthorhombic"),
    ("-P 2ac 2", "orthorhombic"),
    ("-P 2bc 2bc", "orthorhombic"),
    ("-P 2ab 2ab", "orthorhombic"),
    ("-P 2 2ac", "orthorhombic"),
    ("-P 2 2bc", "orthorhombic"),
    ("-P 2ab 2", "orthorhombic"),
    ("-P 2a 2ac", "orthorhombic"),
    ("-P 2b 2c", "orthorhombic"),
    ("-P 2a 2b", "orthorhombic"),
    ("-P 2ac 2c", "orthorhombic"),
    ("-P 2bc 2b", "orthorhombic"),
    ("-P 2b 2ab", "orthorhombic"),
    ("-P 2 2ab", "orthorhombic"),
    ("-P 2bc 2", "orthorhombic"),
    ("-P 2ac 2ac", "orthorhombic"),
    ("-P 2ab 2ac", "orthorhombic"),
    ("-P 2ac 2bc", "orthorhombic"),
    ("-P 2bc 2ab", "orthorhombic"),
    ("-P 2c 2b", "orthorhombic"),
    ("-P 2c 2ac", "orthorhombic"),
    ("-P 2ac 2a", "orthorhombic"),
    ("-P 2b 2a", "orthorhombic"),
    ("-P 2a 2ab", "orthorhombic"),
    ("-P 2bc 2c", "orthorhombic"),
    ("-P 2 2n", "orthorhombic"),
    ("-P 2n 2", "orthorhombic"),
    ("-P 2n 2n", "orthorhombic"),
    ("P 2 2ab -1ab", "orthorhombic"),
    ("-P 2ab 2a", "orthorhombic"),
    ("P 2bc 2 -1bc", "orthorhombic"),
    ("-P 2c 2bc", "orthorhombic"),
    ("P 2ac 2ac -1ac", "orthorhombic"),
    ("-P 2c 2a", "orthorhombic"),
    ("-P 2n 2ab", "orthorhombic"),
    ("-P 2n 2c", "orthorhombic"),
    ("-P 2a 2n", "orthorhombic"),
    ("-P 2bc 2n", "orthorhombic"),
    ("-P 2ac 2b", "orthorhombic"),
    ("-P 2b 2ac", "orthorhombic"),
    ("-P 2ac 2ab", "orthorhombic"),
    ("-P 2bc 2ac", "orthorhombic"),
    ("-P 2ac 2n", "orthorhombic"),
    ("-P 2bc 2a", "orthorhombic"),
    ("-P 2c 2ab", "orthorhombic"),
    ("-P 2n 2ac", "orthorhombic"),
    ("-P 2n 2a", "orthorhombic"),
    ("-P 2c 2n", "orthorhombic"),
    ("-C 2c 2", "orthorhombic"),
    ("-C 2c 2c", "orthorhombic"),
    ("-A 2a 2a", "orthorhombic"),
    ("-A 2 2a", "orthorhombic"),
    ("-B 2 2b", "orthorhombic"),
    ("-B 2b 2", "orthorhombic"),
    ("-C 2bc 2", "orthorhombic"),
    ("-C 2bc 2bc", "orthorhombic"),
    ("-A 2ac 2ac", "orthorhombic"),
    ("-A 2 2ac", "orthorhombic"),
    ("-B 2 2bc", "orthorhombic"),
    ("-B 2bc 2", "orthorhombic"),
    ("-C 2 2", "orthorhombic"),
    ("-A 2 2", "orthorhombic"),
    ("-B 2 2", "orthorhombic"),
    ("-C 2 2c", "orthorhombic"),
    ("-A 2a 2", "orthorhombic"),
    ("-B 2b 2b", "orthorhombic"),
    ("-C 2b 2", "orthorhombic"),
    ("-C 2b 2b", "orthorhombic"),
    ("-A 2c 2c", "orthorhombic"),
    ("-A 2 2c", "orthorhombic"),
    ("-B 2 2c", "orthorhombic"),
    ("-B 2c 2", "orthorhombic"),
    ("C 2 2 -1bc", "orthorhombic"),
    ("-C 2b 2bc", "orthorhombic"),
    ("C 2 2 -1bc", "orthorhombic"),
    ("-C 2b 2c", "orthorhombic"),
    ("A 2 2 -1ac", "orthorhombic"),
    ("-A 2a 2c", "orthorhombic"),
    ("A 2 2 -1ac", "orthorhombic"),
    ("-A 2ac 2c", "orthorhombic"),
    ("B 2 2 -1bc", "orthorhombic"),
    ("-B 2bc 2b", "orthorhombic"),
    ("B 2 2 -1bc", "orthorhombic"),
    ("-B 2b 2bc", "orthorhombic"),
    ("-F 2 2", "orthorhombic"),
    ("F 2 2 -1d", "orthorhombic"),
    ("-F 2uv 2vw", "orthorhombic"),
    ("-I 2 2", "orthorhombic"),
    ("-I 2 2c", "orthorhombic"),
    ("-I 2a 2", "orthorhombic"),
    ("-I 2b 2b", "orthorhombic"),
    ("-I 2b 2c", "orthorhombic"),
    ("-I 2a 2b", "orthorhombic"),
    ("-I 2b 2", "orthorhombic"),
    ("-I 2a 2a", "orthorhombic"),
    ("-I 2c 2c", "orthorhombic"),
    ("-I 2 2b", "orthorhombic"),
    ("-I 2 2a", "orthorhombic"),
    ("-I 2c 2", "orthorhombic"),
    ("P 4", "tetragonal"),
    ("P 4w", "tetragonal"),
    ("P 4c", "tetragonal"),
    ("P 4cw", "tetragonal"),
    ("I 4", "tetragonal"),
    ("I 4bw", "tetragonal"),
    ("P -4", "tetragonal"),
    ("I -4", "tetragonal"),
    ("-P 4", "tetragonal"),
    ("-P 4c", "tetragonal"),
    ("P 4ab -1ab", "tetragonal"),
    ("-P 4a", "tetragonal"),
    ("P 4n -1n", "tetragonal"),
    ("-P 4bc", "tetragonal"),
    ("-I 4", "tetragonal"),
    ("I 4bw -1bw", "tetragonal"),
    ("-I 4ad", "tetragonal"),
    ("P 4 2", "tetragonal"),
    ("P 4ab 2ab", "tetragonal"),
    ("P 4w 2c", "tetragonal"),
    ("P 4abw 2nw", "tetragonal"),
    ("P 4c 2", "tetragonal"),
    ("P 4n 2n", "tetragonal"),
    ("P 4cw 2c", "tetragonal"),
    ("P 4nw 2abw", "tetragonal"),
    ("I 4 2", "tetragonal"),
    ("I 4bw 2bw", "tetragonal"),
    ("P 4 -2", "tetragonal"),
    ("P 4 -2ab", "tetragonal"),
    ("P 4c -2c", "tetragonal"),
    ("P 4n -2n", "tetragonal"),
    ("P 4 -2c", "tetragonal"),
    ("P 4 -2n", "tetragonal"),
    ("P 4c -2", "tetragonal"),
    ("P 4c -2ab", "tetragonal"),
    ("I 4 -2", "tetragonal"),
    ("I 4 -2c", "tetragonal"),
    ("I 4bw -2", "tetragonal"),
    ("I 4bw -2c", "tetragonal"),
    ("P -4 2", "tetragonal"),
    ("P -4 2c", "tetragonal"),
    ("P -4 2ab", "tetragonal"),
    ("P -4 2n", "tetragonal"),
    ("P -4 -2", "tetragonal"),
    ("P -4 -2c", "tetragonal"),
    ("P -4 -2ab", "tetragonal"),
    ("P -4 -2n", "tetragonal"),
    ("I -4 -2", "tetragonal"),
    ("I -4 -2c", "tetragonal"),
    ("I -4 2", "tetragonal"),
    ("I -4 2bw", "tetragonal"),
    ("-P 4 2", "tetragonal"),
    ("-P 4 2c", "tetragonal"),
    ("P 4 2 -1ab", "tetragonal"),
    ("-P 4a 2b", "tetragonal"),
    ("P 4 2 -1n", "tetragonal"),
    ("-P 4a 2bc", "tetragonal"),
    ("-P 4 2ab", "tetragonal"),
    ("-P 4 2n", "tetragonal"),
    ("P 4ab 2ab -1ab", "tetragonal"),
    ("-P 4a 2a", "tetragonal"),
    ("P 4ab 2n -1ab", "tetragonal"),
    ("-P 4a 2ac", "tetragonal"),
    ("-P 4c 2", "tetragonal"),
    ("-P 4c 2c", "tetragonal"),
    ("P 4n 2c -1n", "tetragonal"),
    ("-P 4ac 2b", "tetragonal"),
    ("P 4n 2 -1n", "tetragonal"),
    ("-P 4ac 2bc", "tetragonal"),
    ("-P 4c 2ab", "tetragonal"),
    ("-P 4n 2n", "tetragonal"),
    ("P 4n 2n -1n", "tetragonal"),
    ("-P 4ac 2a", "tetragonal"),
    ("P 4n 2ab -1n", "tetragonal"),
    ("-P 4ac 2ac", "tetragonal"),
    ("-I 4 2", "tetragonal"),
    ("-I 4 2c", "tetragonal"),
    ("I 4bw 2bw -1bw", "tetragonal"),
    ("-I 4bd 2", "tetragonal"),
    ("I 4bw 2aw -1bw", "tetragonal"),
    ("-I 4bd 2c", "tetragonal"),
    ("P 3", "trigonal"),
    ("P 31", "trigonal"),
    ("P 32", "trigonal"),
    ("R 3", "trigonal"),
    ("P 3*", "trigonal"),
    ("-P 3", "trigonal"),
    ("-R 3", "trigonal"),
    ("-P 3*", "trigonal"),
    ("P 3 2", "trigonal"),
    ("P 3 2\\", "trigonal"),
    ("P 31 2c (0 0 1)", "trigonal"),
    ("P 31 2\\", "trigonal"),
    ("P 32 2c (0 0 -1)", "trigonal"),
    ("P 32 2\\", "trigonal"),
    ("R 3 2\\", "trigonal"),
    ("P 3* 2", "trigonal"),
    ("P 3 -2\\", "trigonal"),
    ("P 3 -2", "trigonal"),
    ("P 3 -2\\c", "trigonal"),
    ("P 3 -2c", "trigonal"),
    ("R 3 -2\\", "trigonal"),
    ("P 3* -2", "trigonal"),
    ("R 3 -2\\c", "trigonal"),
    ("P 3* -2n", "trigonal"),
    ("-P 3 2", "trigonal"),
    ("-P 3 2c", "trigonal"),
    ("-P 3 2\\", "trigonal"),
    ("-P 3 2\\c", "trigonal"),
    ("-R 3 2\\", "trigonal"),
    ("-P 3* 2", "trigonal"),
    ("-R 3 2\\c", "trigonal"),
    ("-P 3* 2n", "trigonal"),
    ("P 6", "hexagonal"),
    ("P 61", "hexagonal"),
    ("P 65", "hexagonal"),
    ("P 62", "hexagonal"),
    ("P 64", "hexagonal"),
    ("P 6c", "hexagonal"),
    ("P -6", "hexagonal"),
    ("-P 6", "hexagonal"),
    ("-P 6c", "hexagonal"),
    ("P 6 2", "hexagonal"),
    ("P 61 2 (0 0 -1)", "hexagonal"),
    ("P 65 2 (0 0 1)", "hexagonal"),
    ("P 62 2c (0 0 1)", "hexagonal"),
    ("P 64 2c (0 0 -1)", "hexagonal"),
    ("P 6c 2c", "hexagonal"),
    ("P 6 -2", "hexagonal"),
    ("P 6 -2c", "hexagonal"),
    ("P 6c -2", "hexagonal"),
    ("P 6c -2c", "hexagonal"),
    ("P -6 2", "hexagonal"),
    ("P -6c 2", "hexagonal"),
    ("P -6 -2", "hexagonal"),
    ("P -6c -2c", "hexagonal"),
    ("-P 6 2", "hexagonal"),
    ("-P 6 2c", "hexagonal"),
    ("-P 6c 2", "hexagonal"),
    ("-P 6c 2c", "hexagonal"),
    ("P 2 2 3", "cubic"),
    ("F 2 2 3", "cubic"),
    ("I 2 2 3", "cubic"),
    ("P 2ac 2ab 3", "cubic"),
    ("I 2b 2c 3", "cubic"),
    ("-P 2 2 3", "cubic"),
    ("P 2 2 3 -1n", "cubic"),
    ("-P 2ab 2bc 3", "cubic"),
    ("-F 2 2 3", "cubic"),
    ("F 2 2 3 -1d", "cubic"),
    ("-F 2uv 2vw 3", "cubic"),
    ("-I 2 2 3", "cubic"),
    ("-P 2ac 2ab 3", "cubic"),
    ("-I 2b 2c 3", "cubic"),
    ("P 4 2 3", "cubic"),
    ("P 4n 2 3", "cubic"),
    ("F 4 2 3", "cubic"),
    ("F 4d 2 3", "cubic"),
    ("I 4 2 3", "cubic"),
    ("P 4acd 2ab 3", "cubic"),
    ("P 4bd 2ab 3", "cubic"),
    ("I 4bd 2c 3", "cubic"),
    ("P -4 2 3", "cubic"),
    ("F -4 2 3", "cubic"),
    ("I -4 2 3", "cubic"),
    ("P -4n 2 3", "cubic"),
    ("F -4c 2 3", "cubic"),
    ("I -4bd 2c 3", "cubic"),
    ("-P 4 2 3", "cubic"),
    ("P 4 2 3 -1n", "cubic"),
    ("-P 4a 2bc 3", "cubic"),
    ("-P 4n 2 3", "cubic"),
    ("P 4n 2 3 -1n", "cubic"),
    ("-P 4bc 2bc 3", "cubic"),
    ("-F 4 2 3", "cubic"),
    ("-F 4c 2 3", "cubic"),
    ("F 4d 2 3 -1d", "cubic"),
    ("-F 4vw 2vw 3", "cubic"),
    ("F 4d 2 3 -1cd", "cubic"),
    ("-F 4cvw 2vw 3", "cubic"),
    ("-I 4 2 3", "cubic"),
    ("-I 4bd 2c 3", "cubic"),
]

# Raw data (scraped from https://yseto.net/?page_id=29

const RAW_SYMMETRY_DATA = Tuple{Int,Int,String,String,String,String}[
    # ("Hall number", IT table number, Hall symbol, HM symbol, Full notation, Crystal system)
    (1, 1, "P 1", "P1", "P1", "triclinic"),
    (2, 2, "-P 1", "P-1", "P-1", "triclinic"),
    (3, 3, "P 2y", "P2=P121", "P121", "monoclinic"),
    (4, 3, "P 2", "P2=P112", "P112", "monoclinic"),
    (5, 3, "P 2x", "P2=P211", "P211", "monoclinic"),
    (6, 4, "P 2yb", "P21=P1211", "P1211", "monoclinic"),
    (7, 4, "P 2c", "P21=P1121", "P1121", "monoclinic"),
    (8, 4, "P 2xa", "P21=P2111", "P2111", "monoclinic"),
    (9, 5, "C 2y", "C2=C121", "C121", "monoclinic"),
    (10, 5, "A 2y", "C2=A121", "A121", "monoclinic"),
    (11, 5, "I 2y", "C2=I121", "I121", "monoclinic"),
    (12, 5, "A 2", "C2=A112", "A112", "monoclinic"),
    (13, 5, "B 2", "C2=B112=B2", "B112", "monoclinic"),
    (14, 5, "I 2", "C2=I112", "I112", "monoclinic"),
    (15, 5, "B 2x", "C2=B211", "B211", "monoclinic"),
    (16, 5, "C 2x", "C2=C211", "C211", "monoclinic"),
    (17, 5, "I 2x", "C2=I211", "I211", "monoclinic"),
    (18, 6, "P -2y", "Pm=P1m1", "P1m1", "monoclinic"),
    (19, 6, "P -2", "Pm=P11m", "P11m", "monoclinic"),
    (20, 6, "P -2x", "Pm=Pm11", "Pm11", "monoclinic"),
    (21, 7, "P -2yc", "Pc=P1c1", "P1c1", "monoclinic"),
    (22, 7, "P -2yac", "Pc=P1n1", "P1n1", "monoclinic"),
    (23, 7, "P -2ya", "Pc=P1a1", "P1a1", "monoclinic"),
    (24, 7, "P -2a", "Pc=P11a", "P11a", "monoclinic"),
    (25, 7, "P -2ab", "Pc=P11n", "P11n", "monoclinic"),
    (26, 7, "P -2b", "Pc=P11b=Pb", "P11b", "monoclinic"),
    (27, 7, "P -2xb", "Pc=Pb11", "Pb11", "monoclinic"),
    (28, 7, "P -2xbc", "Pc=Pn11", "Pn11", "monoclinic"),
    (29, 7, "P -2xc", "Pc=Pc11", "Pc11", "monoclinic"),
    (30, 8, "C -2y", "Cm=C1m1", "C1m1", "monoclinic"),
    (31, 8, "A -2y", "Cm=A1m1", "A1m1", "monoclinic"),
    (32, 8, "I -2y", "Cm=I1m1", "I1m1", "monoclinic"),
    (33, 8, "A -2", "Cm=A11m", "A11m", "monoclinic"),
    (34, 8, "B -2", "Cm=B11m=Bm", "B11m", "monoclinic"),
    (35, 8, "I -2", "Cm=I11m", "I11m", "monoclinic"),
    (36, 8, "B -2x", "Cm=Bm11", "Bm11", "monoclinic"),
    (37, 8, "C -2x", "Cm=Cm11", "Cm11", "monoclinic"),
    (38, 8, "I -2x", "Cm=Im11", "Im11", "monoclinic"),
    (39, 9, "C -2yc", "Cc=C1c1", "C1c1", "monoclinic"),
    (40, 9, "A -2yac", "Cc=A1n1", "A1n1", "monoclinic"),
    (41, 9, "I -2ya", "Cc=I1a1", "I1a1", "monoclinic"),
    (42, 9, "A -2ya", "Cc=A1a1", "A1a1", "monoclinic"),
    (43, 9, "C -2ybc", "Cc=C1n1", "C1n1", "monoclinic"),
    (44, 9, "I -2yc", "Cc=I1c1", "I1c1", "monoclinic"),
    (45, 9, "A -2a", "Cc=A11a", "A11a", "monoclinic"),
    (46, 9, "B -2bc", "Cc=B11n", "B11n", "monoclinic"),
    (47, 9, "I -2b", "Cc=I11b", "I11b", "monoclinic"),
    (48, 9, "B -2b", "Cc=B11b=Bb", "B11b", "monoclinic"),
    (49, 9, "A -2ac", "Cc=A11n", "A11n", "monoclinic"),
    (50, 9, "I -2a", "Cc=I11a", "I11a", "monoclinic"),
    (51, 9, "B -2xb", "Cc=Bb11", "Bb11", "monoclinic"),
    (52, 9, "C -2xbc", "Cc=Cn11", "Cn11", "monoclinic"),
    (53, 9, "I -2xc", "Cc=Ic11", "Ic11", "monoclinic"),
    (54, 9, "C -2xc", "Cc=Cc11", "Cc11", "monoclinic"),
    (55, 9, "B -2xbc", "Cc=Bn11", "Bn11", "monoclinic"),
    (56, 9, "I -2xb", "Cc=Ib11", "Ib11", "monoclinic"),
    (57, 10, "-P 2y", "P2/m=P12/m1", "P12/m1", "monoclinic"),
    (58, 10, "-P 2", "P2/m=P112/m", "P112/m", "monoclinic"),
    (59, 10, "-P 2x", "P2/m=P2/m11", "P2/m11", "monoclinic"),
    (60, 11, "-P 2yb", "P21/m=P121/m1", "P121/m1", "monoclinic"),
    (61, 11, "-P 2c", "P21/m=P1121/m", "P1121/m", "monoclinic"),
    (62, 11, "-P 2xa", "P21/m=P21/m11", "P21/m11", "monoclinic"),
    (63, 12, "-C 2y", "C2/m=C12/m1", "C12/m1", "monoclinic"),
    (64, 12, "-A 2y", "C2/m=A12/m1", "A12/m1", "monoclinic"),
    (65, 12, "-I 2y", "C2/m=I12/m1", "I12/m1", "monoclinic"),
    (66, 12, "-A 2", "C2/m=A112/m", "A112/m", "monoclinic"),
    (67, 12, "-B 2", "C2/m=B112/m=B2/m", "B112/m", "monoclinic"),
    (68, 12, "-I 2", "C2/m=I112/m", "I112/m", "monoclinic"),
    (69, 12, "-B 2x", "C2/m=B2/m11", "B2/m11", "monoclinic"),
    (70, 12, "-C 2x", "C2/m=C2/m11", "C2/m11", "monoclinic"),
    (71, 12, "-I 2x", "C2/m=I2/m11", "I2/m11", "monoclinic"),
    (72, 13, "-P 2yc", "P2/c=P12/c1", "P12/c1", "monoclinic"),
    (73, 13, "-P 2yac", "P2/c=P12/n1", "P12/n1", "monoclinic"),
    (74, 13, "-P 2ya", "P2/c=P12/a1", "P12/a1", "monoclinic"),
    (75, 13, "-P 2a", "P2/c=P112/a", "P112/a", "monoclinic"),
    (76, 13, "-P 2ab", "P2/c=P112/n", "P112/n", "monoclinic"),
    (77, 13, "-P 2b", "P2/c=P112/b=P2/b", "P112/b", "monoclinic"),
    (78, 13, "-P 2xb", "P2/c=P2/b11", "P2/b11", "monoclinic"),
    (79, 13, "-P 2xbc", "P2/c=P2/n11", "P2/n11", "monoclinic"),
    (80, 13, "-P 2xc", "P2/c=P2/c11", "P2/c11", "monoclinic"),
    (81, 14, "-P 2ybc", "P21/c=P121/c1", "P121/c1", "monoclinic"),
    (82, 14, "-P 2yn", "P21/c=P121/n1", "P121/n1", "monoclinic"),
    (83, 14, "-P 2yab", "P21/c=P121/a1", "P121/a1", "monoclinic"),
    (84, 14, "-P 2ac", "P21/c=P1121/a", "P1121/a", "monoclinic"),
    (85, 14, "-P 2n", "P21/c=P1121/n", "P1121/n", "monoclinic"),
    (86, 14, "-P 2bc", "P21/c=P1121/b=P21/b", "P1121/b", "monoclinic"),
    (87, 14, "-P 2xab", "P21/c=P21/b11", "P21/b11", "monoclinic"),
    (88, 14, "-P 2xn", "P21/c=P21/n11", "P21/n11", "monoclinic"),
    (89, 14, "-P 2xac", "P21/c=P21/c11", "P21/c11", "monoclinic"),
    (90, 15, "-C 2yc", "C2/c=C12/c1", "C12/c1", "monoclinic"),
    (91, 15, "-A 2yac", "C2/c=A12/n1", "A12/n1", "monoclinic"),
    (92, 15, "-I 2ya", "C2/c=I12/a1", "I12/a1", "monoclinic"),
    (93, 15, "-A 2ya", "C2/c=A12/a1", "A12/a1", "monoclinic"),
    (94, 15, "-C 2ybc", "C2/c=C12/n1", "C12/n1", "monoclinic"),
    (95, 15, "-I 2yc", "C2/c=I12/c1", "I12/c1", "monoclinic"),
    (96, 15, "-A 2a", "C2/c=A112/a", "A112/a", "monoclinic"),
    (97, 15, "-B 2bc", "C2/c=B112/n", "B112/n", "monoclinic"),
    (98, 15, "-I 2b", "C2/c=I112/b", "I112/b", "monoclinic"),
    (99, 15, "-B 2b", "C2/c=B112/b=B2/b", "B112/b", "monoclinic"),
    (100, 15, "-A 2ac", "C2/c=A112/n", "A112/n", "monoclinic"),
    (101, 15, "-I 2a", "C2/c=I112/a", "I112/a", "monoclinic"),
    (102, 15, "-B 2xb", "C2/c=B2/b11", "B2/b11", "monoclinic"),
    (103, 15, "-C 2xbc", "C2/c=C2/n11", "C2/n11", "monoclinic"),
    (104, 15, "-I 2xc", "C2/c=I2/c11", "I2/c11", "monoclinic"),
    (105, 15, "-C 2xc", "C2/c=C2/c11", "C2/c11", "monoclinic"),
    (106, 15, "-B 2xbc", "C2/c=B2/n11", "B2/n11", "monoclinic"),
    (107, 15, "-I 2xb", "C2/c=I2/b11", "I2/b11", "monoclinic"),
    (108, 16, "P 2 2", "P222", "P222", "orthorhombic"),
    (109, 17, "P 2c 2", "P2221", "P2221", "orthorhombic"),
    (110, 17, "P 2a 2a", "P2122", "P2122", "orthorhombic"),
    (111, 17, "P 2 2b", "P2212", "P2212", "orthorhombic"),
    (112, 18, "P 2 2ab", "P21212", "P21212", "orthorhombic"),
    (113, 18, "P 2bc 2", "P22121", "P22121", "orthorhombic"),
    (114, 18, "P 2ac 2ac", "P21221", "P21221", "orthorhombic"),
    (115, 19, "P 2ac 2ab", "P212121", "P212121", "orthorhombic"),
    (116, 20, "C 2c 2", "C2221", "C2221", "orthorhombic"),
    (117, 20, "A 2a 2a", "A2122", "A2122", "orthorhombic"),
    (118, 20, "B 2 2b", "B2212", "B2212", "orthorhombic"),
    (119, 21, "C 2 2", "C222", "C222", "orthorhombic"),
    (120, 21, "A 2 2", "A222", "A222", "orthorhombic"),
    (121, 21, "B 2 2", "B222", "B222", "orthorhombic"),
    (122, 22, "F 2 2", "F222", "F222", "orthorhombic"),
    (123, 23, "I 2 2", "I222", "I222", "orthorhombic"),
    (124, 24, "I 2b 2c", "I212121", "I212121", "orthorhombic"),
    (125, 25, "P 2 -2", "Pmm2", "Pmm2", "orthorhombic"),
    (126, 25, "P -2 2", "P2mm", "P2mm", "orthorhombic"),
    (127, 25, "P -2 -2", "Pm2m", "Pm2m", "orthorhombic"),
    (128, 26, "P 2c -2", "Pmc21", "Pmc21", "orthorhombic"),
    (129, 26, "P 2c -2c", "Pcm21", "Pcm21", "orthorhombic"),
    (130, 26, "P -2a 2a", "P21ma", "P21ma", "orthorhombic"),
    (131, 26, "P -2 2a", "P21am", "P21am", "orthorhombic"),
    (132, 26, "P -2 -2b", "Pb21m", "Pb21m", "orthorhombic"),
    (133, 26, "P -2b -2", "Pm21b", "Pm21b", "orthorhombic"),
    (134, 27, "P 2 -2c", "Pcc2", "Pcc2", "orthorhombic"),
    (135, 27, "P -2a 2", "P2aa", "P2aa", "orthorhombic"),
    (136, 27, "P -2b -2b", "Pb2b", "Pb2b", "orthorhombic"),
    (137, 28, "P 2 -2a", "Pma2", "Pma2", "orthorhombic"),
    (138, 28, "P 2 -2b", "Pbm2", "Pbm2", "orthorhombic"),
    (139, 28, "P -2b 2", "P2mb", "P2mb", "orthorhombic"),
    (140, 28, "P -2c 2", "P2cm", "P2cm", "orthorhombic"),
    (141, 28, "P -2c -2c", "Pc2m", "Pc2m", "orthorhombic"),
    (142, 28, "P -2a -2a", "Pm2a", "Pm2a", "orthorhombic"),
    (143, 29, "P 2c -2ac", "Pca21", "Pca21", "orthorhombic"),
    (144, 29, "P 2c -2b", "Pbc21", "Pbc21", "orthorhombic"),
    (145, 29, "P -2b 2a", "P21ab", "P21ab", "orthorhombic"),
    (146, 29, "P -2ac 2a", "P21ca", "P21ca", "orthorhombic"),
    (147, 29, "P -2bc -2c", "Pc21b", "Pc21b", "orthorhombic"),
    (148, 29, "P -2a -2ab", "Pb21a", "Pb21a", "orthorhombic"),
    (149, 30, "P 2 -2bc", "Pnc2", "Pnc2", "orthorhombic"),
    (150, 30, "P 2 -2ac", "Pcn2", "Pcn2", "orthorhombic"),
    (151, 30, "P -2ac 2", "P2na", "P2na", "orthorhombic"),
    (152, 30, "P -2ab 2", "P2an", "P2an", "orthorhombic"),
    (153, 30, "P -2ab -2ab", "Pb2n", "Pb2n", "orthorhombic"),
    (154, 30, "P -2bc -2bc", "Pn2b", "Pn2b", "orthorhombic"),
    (155, 31, "P 2ac -2", "Pmn21", "Pmn21", "orthorhombic"),
    (156, 31, "P 2bc -2bc", "Pnm21", "Pnm21", "orthorhombic"),
    (157, 31, "P -2ab 2ab", "P21mn", "P21mn", "orthorhombic"),
    (158, 31, "P -2 2ac", "P21nm", "P21nm", "orthorhombic"),
    (159, 31, "P -2 -2bc", "Pn21m", "Pn21m", "orthorhombic"),
    (160, 31, "P -2ab -2", "Pm21n", "Pm21n", "orthorhombic"),
    (161, 32, "P 2 -2ab", "Pba2", "Pba2", "orthorhombic"),
    (162, 32, "P -2bc 2", "P2cb", "P2cb", "orthorhombic"),
    (163, 32, "P -2ac -2ac", "Pc2a", "Pc2a", "orthorhombic"),
    (164, 33, "P 2c -2n", "Pna21", "Pna21", "orthorhombic"),
    (165, 33, "P 2c -2ab", "Pbn21", "Pbn21", "orthorhombic"),
    (166, 33, "P -2bc 2a", "P21nb", "P21nb", "orthorhombic"),
    (167, 33, "P -2n 2a", "P21cn", "P21cn", "orthorhombic"),
    (168, 33, "P -2n -2ac", "Pc21n", "Pc21n", "orthorhombic"),
    (169, 33, "P -2ac -2n", "Pn21a", "Pn21a", "orthorhombic"),
    (170, 34, "P 2 -2n", "Pnn2", "Pnn2", "orthorhombic"),
    (171, 34, "P -2n 2", "P2nn", "P2nn", "orthorhombic"),
    (172, 34, "P -2n -2n", "Pn2n", "Pn2n", "orthorhombic"),
    (173, 35, "C 2 -2", "Cmm2", "Cmm2", "orthorhombic"),
    (174, 35, "A -2 2", "A2mm", "A2mm", "orthorhombic"),
    (175, 35, "B -2 -2", "Bm2m", "Bm2m", "orthorhombic"),
    (176, 36, "C 2c -2", "Cmc21", "Cmc21", "orthorhombic"),
    (177, 36, "C 2c -2c", "Ccm21", "Ccm21", "orthorhombic"),
    (178, 36, "A -2a 2a", "A21ma", "A21ma", "orthorhombic"),
    (179, 36, "A -2 2a", "A21am", "A21am", "orthorhombic"),
    (180, 36, "B -2 -2b", "Bb21m", "Bb21m", "orthorhombic"),
    (181, 36, "B -2b -2", "Bm21b", "Bm21b", "orthorhombic"),
    (182, 37, "C 2 -2c", "Ccc2", "Ccc2", "orthorhombic"),
    (183, 37, "A -2a 2", "A2aa", "A2aa", "orthorhombic"),
    (184, 37, "B -2b -2b", "Bb2b", "Bb2b", "orthorhombic"),
    (185, 38, "A 2 -2", "Amm2", "Amm2", "orthorhombic"),
    (186, 38, "B 2 -2", "Bmm2", "Bmm2", "orthorhombic"),
    (187, 38, "B -2 2", "B2mm", "B2mm", "orthorhombic"),
    (188, 38, "C -2 2", "C2mm", "C2mm", "orthorhombic"),
    (189, 38, "C -2 -2", "Cm2m", "Cm2m", "orthorhombic"),
    (190, 38, "A -2 -2", "Am2m", "Am2m", "orthorhombic"),
    (191, 39, "A 2 -2c", "Abm2", "Abm2", "orthorhombic"),
    (192, 39, "B 2 -2c", "Bma2", "Bma2", "orthorhombic"),
    (193, 39, "B -2c 2", "B2cm", "B2cm", "orthorhombic"),
    (194, 39, "C -2b 2", "C2mb", "C2mb", "orthorhombic"),
    (195, 39, "C -2b -2b", "Cm2a", "Cm2a", "orthorhombic"),
    (196, 39, "A -2c -2c", "Ac2m", "Ac2m", "orthorhombic"),
    (197, 40, "A 2 -2a", "Ama2", "Ama2", "orthorhombic"),
    (198, 40, "B 2 -2b", "Bbm2", "Bbm2", "orthorhombic"),
    (199, 40, "B -2b 2", "B2mb", "B2mb", "orthorhombic"),
    (200, 40, "C -2c 2", "C2cm", "C2cm", "orthorhombic"),
    (201, 40, "C -2c -2c", "Cc2m", "Cc2m", "orthorhombic"),
    (202, 40, "A -2a -2a", "Am2a", "Am2a", "orthorhombic"),
    (203, 41, "A 2 -2ac", "Aba2", "Aba2", "orthorhombic"),
    (204, 41, "B 2 -2bc", "Bba2", "Bba2", "orthorhombic"),
    (205, 41, "B -2bc 2", "B2cb", "B2cb", "orthorhombic"),
    (206, 41, "C -2bc 2", "C2cb", "C2cb", "orthorhombic"),
    (207, 41, "C -2bc -2bc", "Cc2a", "Cc2a", "orthorhombic"),
    (208, 41, "A -2ac -2ac", "Ac2a", "Ac2a", "orthorhombic"),
    (209, 42, "F 2 -2", "Fmm2", "Fmm2", "orthorhombic"),
    (210, 42, "F -2 2", "F2mm", "F2mm", "orthorhombic"),
    (211, 42, "F -2 -2", "Fm2m", "Fm2m", "orthorhombic"),
    (212, 43, "F 2 -2d", "Fdd2", "Fdd2", "orthorhombic"),
    (213, 43, "F -2d 2", "F2dd", "F2dd", "orthorhombic"),
    (214, 43, "F -2d -2d", "Fd2d", "Fd2d", "orthorhombic"),
    (215, 44, "I 2 -2", "Imm2", "Imm2", "orthorhombic"),
    (216, 44, "I -2 2", "I2mm", "I2mm", "orthorhombic"),
    (217, 44, "I -2 -2", "Im2m", "Im2m", "orthorhombic"),
    (218, 45, "I 2 -2c", "Iba2", "Iba2", "orthorhombic"),
    (219, 45, "I -2a 2", "I2cb", "I2cb", "orthorhombic"),
    (220, 45, "I -2b -2b", "Ic2a", "Ic2a", "orthorhombic"),
    (221, 46, "I 2 -2a", "Ima2", "Ima2", "orthorhombic"),
    (222, 46, "I 2 -2b", "Ibm2", "Ibm2", "orthorhombic"),
    (223, 46, "I -2b 2", "I2mb", "I2mb", "orthorhombic"),
    (224, 46, "I -2c 2", "I2cm", "I2cm", "orthorhombic"),
    (225, 46, "I -2c -2c", "Ic2m", "Ic2m", "orthorhombic"),
    (226, 46, "I -2a -2a", "Im2a", "Im2a", "orthorhombic"),
    (227, 47, "-P 2 2", "Pmmm", "P2/m2/m2/m", "orthorhombic"),
    (228, 48, "P 2 2 -1n", "Pnnn", "P2/n2/n2/n", "orthorhombic"),
    (229, 48, "-P 2ab 2bc", "Pnnn", "P2/n2/n2/n", "orthorhombic"),
    (230, 49, "-P 2 2c", "Pccm", "P2/c2/c2/m", "orthorhombic"),
    (231, 49, "-P 2a 2", "Pmaa", "P2/m2/a2/a", "orthorhombic"),
    (232, 49, "-P 2b 2b", "Pbmb", "P2/b2/m2/b", "orthorhombic"),
    (233, 50, "P 2 2 -1ab", "Pban", "P2/b2/a2/n", "orthorhombic"),
    (234, 50, "-P 2ab 2b", "Pban", "P2/b2/a2/n", "orthorhombic"),
    (235, 50, "P 2 2 -1bc", "Pncb", "P2/n2/c2/b", "orthorhombic"),
    (236, 50, "-P 2b 2bc", "Pncb", "P2/n2/c2/b", "orthorhombic"),
    (237, 50, "P 2 2 -1ac", "Pcna", "P2/c2/n2/a", "orthorhombic"),
    (238, 50, "-P 2a 2c", "Pcna", "P2/c2/n2/a", "orthorhombic"),
    (239, 51, "-P 2a 2a", "Pmma", "P21/m2/m2/a", "orthorhombic"),
    (240, 51, "-P 2b 2", "Pmmb", "P2/m21/m2/b", "orthorhombic"),
    (241, 51, "-P 2 2b", "Pbmm", "P2/b21/m2/m", "orthorhombic"),
    (242, 51, "-P 2c 2c", "Pcmm", "P2/c2/m21/m", "orthorhombic"),
    (243, 51, "-P 2c 2", "Pmcm", "P2/m2/c21/m", "orthorhombic"),
    (244, 51, "-P 2 2a", "Pmam", "P21/m2/a2/m", "orthorhombic"),
    (245, 52, "-P 2a 2bc", "Pnna", "P2/n21/n2/a", "orthorhombic"),
    (246, 52, "-P 2b 2n", "Pnnb", "P21/n2/n2/b", "orthorhombic"),
    (247, 52, "-P 2n 2b", "Pbnn", "P2/b2/n21/n", "orthorhombic"),
    (248, 52, "-P 2ab 2c", "Pcnn", "P2/c21/n2/n", "orthorhombic"),
    (249, 52, "-P 2ab 2n", "Pncn", "P21/n2/c2/n", "orthorhombic"),
    (250, 52, "-P 2n 2bc", "Pnan", "P2/n2/a21/n", "orthorhombic"),
    (251, 53, "-P 2ac 2", "Pmna", "P2/m2/n21/a", "orthorhombic"),
    (252, 53, "-P 2bc 2bc", "Pnmb", "P2/n2/m21/b", "orthorhombic"),
    (253, 53, "-P 2ab 2ab", "Pbmn", "P21/b2/m2/n", "orthorhombic"),
    (254, 53, "-P 2 2ac", "Pcnm", "P21/c2/n2/m", "orthorhombic"),
    (255, 53, "-P 2 2bc", "Pncm", "P2/n21/c2/m", "orthorhombic"),
    (256, 53, "-P 2ab 2", "Pman", "P2/m21/a2/n", "orthorhombic"),
    (257, 54, "-P 2a 2ac", "Pcca", "P21/c2/c2/a", "orthorhombic"),
    (258, 54, "-P 2b 2c", "Pccb", "P2/c21/c2/b", "orthorhombic"),
    (259, 54, "-P 2a 2b", "Pbaa", "P2/b21/a2/a", "orthorhombic"),
    (260, 54, "-P 2ac 2c", "Pcaa", "P2/c2/a21/a", "orthorhombic"),
    (261, 54, "-P 2bc 2b", "Pbcb", "P2/b2/c21/b", "orthorhombic"),
    (262, 54, "-P 2b 2ab", "Pbab", "P21/b2/a2/b", "orthorhombic"),
    (263, 55, "-P 2 2ab", "Pbam", "P21/b21/a2/m", "orthorhombic"),
    (264, 55, "-P 2bc 2", "Pmcb", "P2/m21/c21/b", "orthorhombic"),
    (265, 55, "-P 2ac 2ac", "Pcma", "P21/c2/m21/a", "orthorhombic"),
    (266, 56, "-P 2ab 2ac", "Pccn", "P21/c21/c2/n", "orthorhombic"),
    (267, 56, "-P 2ac 2bc", "Pnaa", "P2/n21/a21/a", "orthorhombic"),
    (268, 56, "-P 2bc 2ab", "Pbnb", "P21/b2/n21/b", "orthorhombic"),
    (269, 57, "-P 2c 2b", "Pbcm", "P2/b21/c21/m", "orthorhombic"),
    (270, 57, "-P 2c 2ac", "Pcam", "P21/c2/a21/m", "orthorhombic"),
    (271, 57, "-P 2ac 2a", "Pmca", "P21/m2/c21/a", "orthorhombic"),
    (272, 57, "-P 2b 2a", "Pmab", "P21/m21/a2/b", "orthorhombic"),
    (273, 57, "-P 2a 2ab", "Pbma", "P21/b21/m2/a", "orthorhombic"),
    (274, 57, "-P 2bc 2c", "Pcmb", "P2/c21/m21/b", "orthorhombic"),
    (275, 58, "-P 2 2n", "Pnnm", "P21/n21/n2/m", "orthorhombic"),
    (276, 58, "-P 2n 2", "Pmnn", "P2/m21/n21/n", "orthorhombic"),
    (277, 58, "-P 2n 2n", "Pnmn", "P21/n2/m21/n", "orthorhombic"),
    (278, 59, "P 2 2ab -1ab", "Pmmn", "P21/m21/m2/n", "orthorhombic"),
    (279, 59, "-P 2ab 2a", "Pmmn", "P21/m21/m2/n", "orthorhombic"),
    (280, 59, "P 2bc 2 -1bc", "Pnmm", "P2/n21/m21/m", "orthorhombic"),
    (281, 59, "-P 2c 2bc", "Pnmm", "P2/n21/m21/m", "orthorhombic"),
    (282, 59, "P 2ac 2ac -1ac", "Pmnm", "P21/m2/n21/m", "orthorhombic"),
    (283, 59, "-P 2c 2a", "Pmnm", "P21/m2/n21/m", "orthorhombic"),
    (284, 60, "-P 2n 2ab", "Pbcn", "P21/b2/c21/n", "orthorhombic"),
    (285, 60, "-P 2n 2c", "Pcan", "P2/c21/a21/n", "orthorhombic"),
    (286, 60, "-P 2a 2n", "Pnca", "P21/n21/c2/a", "orthorhombic"),
    (287, 60, "-P 2bc 2n", "Pnab", "P21/n2/a21/b", "orthorhombic"),
    (288, 60, "-P 2ac 2b", "Pbna", "P2/b21/n21/a", "orthorhombic"),
    (289, 60, "-P 2b 2ac", "Pcnb", "P21/c21/n2/b", "orthorhombic"),
    (290, 61, "-P 2ac 2ab", "Pbca", "P21/b21/c21/a", "orthorhombic"),
    (291, 61, "-P 2bc 2ac", "Pcab", "P21/c21/a21/b", "orthorhombic"),
    (292, 62, "-P 2ac 2n", "Pnma", "P21/n21/m21/a", "orthorhombic"),
    (293, 62, "-P 2bc 2a", "Pmnb", "P21/m21/n21/b", "orthorhombic"),
    (294, 62, "-P 2c 2ab", "Pbnm", "P21/b21/n21/m", "orthorhombic"),
    (295, 62, "-P 2n 2ac", "Pcmn", "P21/c21/m21/n", "orthorhombic"),
    (296, 62, "-P 2n 2a", "Pmcn", "P21/m21/c21/n", "orthorhombic"),
    (297, 62, "-P 2c 2n", "Pnam", "P21/n21/a21/m", "orthorhombic"),
    (298, 63, "-C 2c 2", "Cmcm", "C2/m2/c21/m", "orthorhombic"),
    (299, 63, "-C 2c 2c", "Ccmm", "C2/c2/m21/m", "orthorhombic"),
    (300, 63, "-A 2a 2a", "Amma", "A21/m2/m2/a", "orthorhombic"),
    (301, 63, "-A 2 2a", "Amam", "A21/m2/a2/m", "orthorhombic"),
    (302, 63, "-B 2 2b", "Bbmm", "B2/b21/m2/m", "orthorhombic"),
    (303, 63, "-B 2b 2", "Bmmb", "B2/m21/m2/b", "orthorhombic"),
    (304, 64, "-C 2bc 2", "Cmca", "C2/m2/c21/a", "orthorhombic"),
    (305, 64, "-C 2bc 2bc", "Ccmb", "C2/c2/m21/b", "orthorhombic"),
    (306, 64, "-A 2ac 2ac", "Abma", "A21/b2/ma", "orthorhombic"),
    (307, 64, "-A 2 2ac", "Acam", "A21/c2/a2/m", "orthorhombic"),
    (308, 64, "-B 2 2bc", "Bbcm", "B2/b21/c2/m", "orthorhombic"),
    (309, 64, "-B 2bc 2", "Bmab", "B2/m21/a2/b", "orthorhombic"),
    (310, 65, "-C 2 2", "Cmmm", "C2/m2/m2/m", "orthorhombic"),
    (311, 65, "-A 2 2", "Ammm", "A2/m2/m2/m", "orthorhombic"),
    (312, 65, "-B 2 2", "Bmmm", "B2/m2/m2/m", "orthorhombic"),
    (313, 66, "-C 2 2c", "Cccm", "C2/c2/c2/m", "orthorhombic"),
    (314, 66, "-A 2a 2", "Amaa", "A2/m2/a2/a", "orthorhombic"),
    (315, 66, "-B 2b 2b", "Bbmb", "B2/b2/m2/b", "orthorhombic"),
    (316, 67, "-C 2b 2", "Cmma", "C2/m2/m2/a", "orthorhombic"),
    (317, 67, "-C 2b 2b", "Cmmb", "C2/m2/m2/b", "orthorhombic"),
    (318, 67, "-A 2c 2c", "Abmm", "A2/b2/m2/m", "orthorhombic"),
    (319, 67, "-A 2 2c", "Acmm", "A2/c2/m2/m", "orthorhombic"),
    (320, 67, "-B 2 2c", "Bmcm", "B2/m2/c2/m", "orthorhombic"),
    (321, 67, "-B 2c 2", "Bmam", "B2/m2/a2/m", "orthorhombic"),
    (322, 68, "C 2 2 -1bc", "Ccca", "C2/c2/c2/a", "orthorhombic"),
    (323, 68, "-C 2b 2bc", "Ccca", "C2/c2/c2/a", "orthorhombic"),
    (324, 68, "C 2 2 -1bc", "Cccb", "C2/c2/c2/b", "orthorhombic"),
    (325, 68, "-C 2b 2c", "Cccb", "C2/c2/c2/b", "orthorhombic"),
    (326, 68, "A 2 2 -1ac", "Abaa", "A2/b2/a2/a", "orthorhombic"),
    (327, 68, "-A 2a 2c", "Abaa", "A2/b2/a2/a", "orthorhombic"),
    (328, 68, "A 2 2 -1ac", "Acaa", "A2/c2/a2/a", "orthorhombic"),
    (329, 68, "-A 2ac 2c", "Acaa", "A2/c2/a2/a", "orthorhombic"),
    (330, 68, "B 2 2 -1bc", "Bbcb", "B2/b2/c2/b", "orthorhombic"),
    (331, 68, "-B 2bc 2b", "Bbcb", "B2/b2/c2/b", "orthorhombic"),
    (332, 68, "B 2 2 -1bc", "Bbab", "B2/b2/a2/b", "orthorhombic"),
    (333, 68, "-B 2b 2bc", "Bbab", "B2/b2/a2/b", "orthorhombic"),
    (334, 69, "-F 2 2", "Fmmm", "F2/m2/m2/m", "orthorhombic"),
    (335, 70, "F 2 2 -1d", "Fddd", "F2/d2/d2/d", "orthorhombic"),
    (336, 70, "-F 2uv 2vw", "Fddd", "F2/d2/d2/d", "orthorhombic"),
    (337, 71, "-I 2 2", "Immm", "I2/m2/m2/m", "orthorhombic"),
    (338, 72, "-I 2 2c", "Ibam", "I2/b2/a2/m", "orthorhombic"),
    (339, 72, "-I 2a 2", "Imcb", "I2/m2/c2/b", "orthorhombic"),
    (340, 72, "-I 2b 2b", "Icma", "I2/c2/m2/a", "orthorhombic"),
    (341, 73, "-I 2b 2c", "Ibca", "I2/b2/c2/a", "orthorhombic"),
    (342, 73, "-I 2a 2b", "Icab", "I2/c2/a2/b", "orthorhombic"),
    (343, 74, "-I 2b 2", "Imma", "I2/m2/m2/a", "orthorhombic"),
    (344, 74, "-I 2a 2a", "Immb", "I2/m2/m2/b", "orthorhombic"),
    (345, 74, "-I 2c 2c", "Ibmm", "I2/b2/m2/m", "orthorhombic"),
    (346, 74, "-I 2 2b", "Icmm", "I2/c2/m2/m", "orthorhombic"),
    (347, 74, "-I 2 2a", "Imcm", "I2/m2/c2/m", "orthorhombic"),
    (348, 74, "-I 2c 2", "Imam", "I2/m2/a2/m", "orthorhombic"),
    (349, 75, "P 4", "P4", "P4", "tetragonal"),
    (350, 76, "P 4w", "P41", "P41", "tetragonal"),
    (351, 77, "P 4c", "P42", "P42", "tetragonal"),
    (352, 78, "P 4cw", "P43", "P43", "tetragonal"),
    (353, 79, "I 4", "I4", "I4", "tetragonal"),
    (354, 80, "I 4bw", "I41", "I41", "tetragonal"),
    (355, 81, "P -4", "P-4", "P-4", "tetragonal"),
    (356, 82, "I -4", "I-4", "I-4", "tetragonal"),
    (357, 83, "-P 4", "P4/m", "P4/m", "tetragonal"),
    (358, 84, "-P 4c", "P42/m", "P42/m", "tetragonal"),
    (359, 85, "P 4ab -1ab", "P4/n", "P4/n", "tetragonal"),
    (360, 85, "-P 4a", "P4/n", "P4/n", "tetragonal"),
    (361, 86, "P 4n -1n", "P42/n", "P42/n", "tetragonal"),
    (362, 86, "-P 4bc", "P42/n", "P42/n", "tetragonal"),
    (363, 87, "-I 4", "I4/m", "I4/m", "tetragonal"),
    (364, 88, "I 4bw -1bw", "I41/a", "I41/a", "tetragonal"),
    (365, 88, "-I 4ad", "I41/a", "I41/a", "tetragonal"),
    (366, 89, "P 4 2", "P422", "P422", "tetragonal"),
    (367, 90, "P 4ab 2ab", "P4212", "P4212", "tetragonal"),
    (368, 91, "P 4w 2c", "P4122", "P4122", "tetragonal"),
    (369, 92, "P 4abw 2nw", "P41212", "P41212", "tetragonal"),
    (370, 93, "P 4c 2", "P4222", "P4222", "tetragonal"),
    (371, 94, "P 4n 2n", "P42212", "P42212", "tetragonal"),
    (372, 95, "P 4cw 2c", "P4322", "P4322", "tetragonal"),
    (373, 96, "P 4nw 2abw", "P43212", "P43212", "tetragonal"),
    (374, 97, "I 4 2", "I422", "I422", "tetragonal"),
    (375, 98, "I 4bw 2bw", "I4122", "I4122", "tetragonal"),
    (376, 99, "P 4 -2", "P4mm", "P4mm", "tetragonal"),
    (377, 100, "P 4 -2ab", "P4bm", "P4bm", "tetragonal"),
    (378, 101, "P 4c -2c", "P42cm", "P42cm", "tetragonal"),
    (379, 102, "P 4n -2n", "P42nm", "P42nm", "tetragonal"),
    (380, 103, "P 4 -2c", "P4cc", "P4cc", "tetragonal"),
    (381, 104, "P 4 -2n", "P4nc", "P4nc", "tetragonal"),
    (382, 105, "P 4c -2", "P42mc", "P42mc", "tetragonal"),
    (383, 106, "P 4c -2ab", "P42bc", "P42bc", "tetragonal"),
    (384, 107, "I 4 -2", "I4mm", "I4mm", "tetragonal"),
    (385, 108, "I 4 -2c", "I4cm", "I4cm", "tetragonal"),
    (386, 109, "I 4bw -2", "I41md", "I41md", "tetragonal"),
    (387, 110, "I 4bw -2c", "I41cd", "I41cd", "tetragonal"),
    (388, 111, "P -4 2", "P-42m", "P-42m", "tetragonal"),
    (389, 112, "P -4 2c", "P-42c", "P-42c", "tetragonal"),
    (390, 113, "P -4 2ab", "P-421m", "P-421m", "tetragonal"),
    (391, 114, "P -4 2n", "P-421c", "P-421c", "tetragonal"),
    (392, 115, "P -4 -2", "P-4m2", "P-4m2", "tetragonal"),
    (393, 116, "P -4 -2c", "P-4c2", "P-4c2", "tetragonal"),
    (394, 117, "P -4 -2ab", "P-4b2", "P-4b2", "tetragonal"),
    (395, 118, "P -4 -2n", "P-4n2", "P-4n2", "tetragonal"),
    (396, 119, "I -4 -2", "I-4m2", "I-4m2", "tetragonal"),
    (397, 120, "I -4 -2c", "I-4c2", "I-4c2", "tetragonal"),
    (398, 121, "I -4 2", "I-42m", "I-42m", "tetragonal"),
    (399, 122, "I -4 2bw", "I-42d", "I-42d", "tetragonal"),
    (400, 123, "-P 4 2", "P4/mmm", "P4/m2/m2/m", "tetragonal"),
    (401, 124, "-P 4 2c", "P4/mcc", "P4/m2/c2/c", "tetragonal"),
    (402, 125, "P 4 2 -1ab", "P4/nbm", "P4/n2/b2/m", "tetragonal"),
    (403, 125, "-P 4a 2b", "P4/nbm", "P4/n2/b2/m", "tetragonal"),
    (404, 126, "P 4 2 -1n", "P4/nnc", "P4/n2/n2/c", "tetragonal"),
    (405, 126, "-P 4a 2bc", "P4/nnc", "P4/n2/n2/c", "tetragonal"),
    (406, 127, "-P 4 2ab", "P4/mbm", "P4/m21/bm", "tetragonal"),
    (407, 128, "-P 4 2n", "P4/mnc", "P4/m21/nc", "tetragonal"),
    (408, 129, "P 4ab 2ab -1ab", "P4/nmm", "P4/n21/mm", "tetragonal"),
    (409, 129, "-P 4a 2a", "P4/nmm", "P4/n21/mm", "tetragonal"),
    (410, 130, "P 4ab 2n -1ab", "P4/ncc", "P4/n21/cc", "tetragonal"),
    (411, 130, "-P 4a 2ac", "P4/ncc", "P4/n21/cc", "tetragonal"),
    (412, 131, "-P 4c 2", "P42/mmc", "P42/m2/m2/c", "tetragonal"),
    (413, 132, "-P 4c 2c", "P42/mcm", "P42/m2/c2/m", "tetragonal"),
    (414, 133, "P 4n 2c -1n", "P42/nbc", "P42/n2/b2/c", "tetragonal"),
    (415, 133, "-P 4ac 2b", "P42/nbc", "P42/n2/b2/c", "tetragonal"),
    (416, 134, "P 4n 2 -1n", "P42/nnm", "P42/n2/n2/m", "tetragonal"),
    (417, 134, "-P 4ac 2bc", "P42/nnm", "P42/n2/n2/m", "tetragonal"),
    (418, 135, "-P 4c 2ab", "P42/mbc", "P42/m21/b2/c", "tetragonal"),
    (419, 136, "-P 4n 2n", "P42/mnm", "P42/m21/n2/m", "tetragonal"),
    (420, 137, "P 4n 2n -1n", "P42/nmc", "P42/n21/m2/c", "tetragonal"),
    (421, 137, "-P 4ac 2a", "P42/nmc", "P42/n21/m2/c", "tetragonal"),
    (422, 138, "P 4n 2ab -1n", "P42/ncm", "P42/n21/c2/m", "tetragonal"),
    (423, 138, "-P 4ac 2ac", "P42/ncm", "P42/n21/c2/m", "tetragonal"),
    (424, 139, "-I 4 2", "I4/mmm", "I4/m2/m2/m", "tetragonal"),
    (425, 140, "-I 4 2c", "I4/mcm", "I4/m2/c2/m", "tetragonal"),
    (426, 141, "I 4bw 2bw -1bw", "I41/amd", "I41/a2/m2/d", "tetragonal"),
    (427, 141, "-I 4bd 2", "I41/amd", "I41/a2/m2/d", "tetragonal"),
    (428, 142, "I 4bw 2aw -1bw", "I41/acd", "I41/a2/c2/d", "tetragonal"),
    (429, 142, "-I 4bd 2c", "I41/acd", "I41/a2/c2/d", "tetragonal"),
    (430, 143, "P 3", "P3", "P3", "trigonal"),
    (431, 144, "P 31", "P31", "P31", "trigonal"),
    (432, 145, "P 32", "P32", "P32", "trigonal"),
    (433, 146, "R 3", "R3", "R3", "trigonal"),
    (434, 146, "P 3*", "R3", "R3", "trigonal"),
    (435, 147, "-P 3", "P-3", "P-3", "trigonal"),
    (436, 148, "-R 3", "R-3", "R-3", "trigonal"),
    (437, 148, "-P 3*", "R-3", "R-3", "trigonal"),
    (438, 149, "P 3 2", "P312", "P312", "trigonal"),
    (439, 150, "P 3 2\\", "P321", "P321", "trigonal"),
    (440, 151, "P 31 2c (0 0 1)", "P3112", "P3112", "trigonal"),
    (441, 152, "P 31 2\\", "P3121", "P3121", "trigonal"),
    (442, 153, "P 32 2c (0 0 -1)", "P3212", "P3212", "trigonal"),
    (443, 154, "P 32 2\\", "P3221", "P3221", "trigonal"),
    (444, 155, "R 3 2\\", "R32", "R32", "trigonal"),
    (445, 155, "P 3* 2", "R32", "R32", "trigonal"),
    (446, 156, "P 3 -2\\", "P3m1", "P3m1", "trigonal"),
    (447, 157, "P 3 -2", "P31m", "P31m", "trigonal"),
    (448, 158, "P 3 -2\\c", "P3c1", "P3c1", "trigonal"),
    (449, 159, "P 3 -2c", "P31c", "P31c", "trigonal"),
    (450, 160, "R 3 -2\\", "R3m", "R3m", "trigonal"),
    (451, 160, "P 3* -2", "R3m", "R3m", "trigonal"),
    (452, 161, "R 3 -2\\c", "R3c", "R3c", "trigonal"),
    (453, 161, "P 3* -2n", "R3c", "R3c", "trigonal"),
    (454, 162, "-P 3 2", "P-31m", "P-312/m", "trigonal"),
    (455, 163, "-P 3 2c", "P-31c", "P-312/c", "trigonal"),
    (456, 164, "-P 3 2\\", "P-3m1", "P-32/m1", "trigonal"),
    (457, 165, "-P 3 2\\c", "P-3c1", "P-32/c1", "trigonal"),
    (458, 166, "-R 3 2\\", "R-3m", "R-32/m", "trigonal"),
    (459, 166, "-P 3* 2", "R-3m", "R-32/m", "trigonal"),
    (460, 167, "-R 3 2\\c", "R-3c", "R-32/c", "trigonal"),
    (461, 167, "-P 3* 2n", "R-3c", "R-32/c", "trigonal"),
    (462, 168, "P 6", "P6", "P6", "hexagonal"),
    (463, 169, "P 61", "P61", "P61", "hexagonal"),
    (464, 170, "P 65", "P65", "P65", "hexagonal"),
    (465, 171, "P 62", "P62", "P62", "hexagonal"),
    (466, 172, "P 64", "P64", "P64", "hexagonal"),
    (467, 173, "P 6c", "P63", "P63", "hexagonal"),
    (468, 174, "P -6", "P-6", "P-6", "hexagonal"),
    (469, 175, "-P 6", "P6/m", "P6/m", "hexagonal"),
    (470, 176, "-P 6c", "P63/m", "P63/m", "hexagonal"),
    (471, 177, "P 6 2", "P622", "P622", "hexagonal"),
    (472, 178, "P 61 2 (0 0 -1)", "P6122", "P6122", "hexagonal"),
    (473, 179, "P 65 2 (0 0 1)", "P6522", "P6522", "hexagonal"),
    (474, 180, "P 62 2c (0 0 1)", "P6222", "P6222", "hexagonal"),
    (475, 181, "P 64 2c (0 0 -1)", "P6422", "P6422", "hexagonal"),
    (476, 182, "P 6c 2c", "P6322", "P6322", "hexagonal"),
    (477, 183, "P 6 -2", "P6mm", "P6mm", "hexagonal"),
    (478, 184, "P 6 -2c", "P6cc", "P6cc", "hexagonal"),
    (479, 185, "P 6c -2", "P63cm", "P63cm", "hexagonal"),
    (480, 186, "P 6c -2c", "P63mc", "P63mc", "hexagonal"),
    (481, 187, "P -6 2", "P-6m2", "P-6m2", "hexagonal"),
    (482, 188, "P -6c 2", "P-6c2", "P-6c2", "hexagonal"),
    (483, 189, "P -6 -2", "P-62m", "P-62m", "hexagonal"),
    (484, 190, "P -6c -2c", "P-62c", "P-62c", "hexagonal"),
    (485, 191, "-P 6 2", "P6/mmm", "P6/m2/m2/m", "hexagonal"),
    (486, 192, "-P 6 2c", "P6/mcc", "P6/m2/c2/c", "hexagonal"),
    (487, 193, "-P 6c 2", "P63/mcm", "P63/m2/c2/m", "hexagonal"),
    (488, 194, "-P 6c 2c", "P63/mmc", "P63/m2/m2/c", "hexagonal"),
    (489, 195, "P 2 2 3", "P23", "P23", "cubic"),
    (490, 196, "F 2 2 3", "F23", "F23", "cubic"),
    (491, 197, "I 2 2 3", "I23", "I23", "cubic"),
    (492, 198, "P 2ac 2ab 3", "P213", "P213", "cubic"),
    (493, 199, "I 2b 2c 3", "I213", "I213", "cubic"),
    (494, 200, "-P 2 2 3", "Pm3", "P2/m-3", "cubic"),
    (495, 201, "P 2 2 3 -1n", "Pn3", "P2/n-3", "cubic"),
    (496, 201, "-P 2ab 2bc 3", "Pn3", "P2/n-3", "cubic"),
    (497, 202, "-F 2 2 3", "Fm3", "F2/m-3", "cubic"),
    (498, 203, "F 2 2 3 -1d", "Fd3", "F2/d-3", "cubic"),
    (499, 203, "-F 2uv 2vw 3", "Fd3", "F2/d-3", "cubic"),
    (500, 204, "-I 2 2 3", "Im3", "I2/m-3", "cubic"),
    (501, 205, "-P 2ac 2ab 3", "Pa3", "P21/a-3", "cubic"),
    (502, 206, "-I 2b 2c 3", "Ia3", "I21/a-3", "cubic"),
    (503, 207, "P 4 2 3", "P432", "P432", "cubic"),
    (504, 208, "P 4n 2 3", "P4232", "P4232", "cubic"),
    (505, 209, "F 4 2 3", "F432", "F432", "cubic"),
    (506, 210, "F 4d 2 3", "F4132", "F4132", "cubic"),
    (507, 211, "I 4 2 3", "I432", "I432", "cubic"),
    (508, 212, "P 4acd 2ab 3", "P4332", "P4332", "cubic"),
    (509, 213, "P 4bd 2ab 3", "P4132", "P4132", "cubic"),
    (510, 214, "I 4bd 2c 3", "I4132", "I4132", "cubic"),
    (511, 215, "P -4 2 3", "P-43m", "P-43m", "cubic"),
    (512, 216, "F -4 2 3", "F-43m", "F-43m", "cubic"),
    (513, 217, "I -4 2 3", "I-43m", "I-43m", "cubic"),
    (514, 218, "P -4n 2 3", "P-43n", "P-43n", "cubic"),
    (515, 219, "F -4c 2 3", "F-43c", "F-43c", "cubic"),
    (516, 220, "I -4bd 2c 3", "I-43d", "I-43d", "cubic"),
    (517, 221, "-P 4 2 3", "Pm-3m", "P4/m-32/m", "cubic"),
    (518, 222, "P 4 2 3 -1n", "Pn-3n", "P4/n-32/n", "cubic"),
    (519, 222, "-P 4a 2bc 3", "Pn-3n", "P4/n-32/n", "cubic"),
    (520, 223, "-P 4n 2 3", "Pm-3n", "P42/m-32/n", "cubic"),
    (521, 224, "P 4n 2 3 -1n", "Pn-3m", "P42/n-32/m", "cubic"),
    (522, 224, "-P 4bc 2bc 3", "Pn-3m", "P42/n-32/m", "cubic"),
    (523, 225, "-F 4 2 3", "Fm-3m", "F4/m-32/m", "cubic"),
    (524, 226, "-F 4c 2 3", "Fm-3c", "F4/m-32/c", "cubic"),
    (525, 227, "F 4d 2 3 -1d", "Fd-3m", "F41/d-32/m", "cubic"),
    (526, 227, "-F 4vw 2vw 3", "Fd-3m", "F41/d-32/m", "cubic"),
    (527, 228, "F 4d 2 3 -1cd", "Fd-3c", "F41/d-32/c", "cubic"),
    (528, 228, "-F 4cvw 2vw 3", "Fd-3c", "F41/d-32/c", "cubic"),
    (529, 229, "-I 4 2 3", "Im-3m", "I4/m-32/m", "cubic"),
    (530, 230, "-I 4bd 2c 3", "Ia-3d", "I41/a-32/d", "cubic"),
]
